Bug 1133378 - [abrt] WARNING: CPU: 3 PID: 4081 at drivers/base/firmware_class.c:1124 _request_firmware+0x509/0x820()
Summary: [abrt] WARNING: CPU: 3 PID: 4081 at drivers/base/firmware_class.c:1124 _reque...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:65da2c7b757e6e3d45634590a35...
: 1136680 1140509 1164746 1179046 1227726 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-25 04:39 UTC by Igor Gnatenko
Modified: 2015-09-19 16:51 UTC (History)
106 users (show)

Fixed In Version: kernel-4.0.5-300.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-20 23:58:45 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (112.50 KB, text/plain)
2014-08-25 04:39 UTC, Igor Gnatenko
no flags Details
grep Hardware of these bug reports, sorted. (4.94 KB, text/plain)
2015-05-17 03:09 UTC, David Timms
no flags Details


Links
System ID Priority Status Summary Last Updated
Linux Kernel 81821 None None None Never

Description Igor Gnatenko 2014-08-25 04:39:42 UTC
Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 3 PID: 4081 at drivers/base/firmware_class.c:1124 _request_firmware+0x509/0x820()
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE ccm tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat iTCO_wdt fat iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm arc4 crct10dif_pclmul crc32_pclmul snd_hda_codec_hdmi crc32c_intel iwldvm snd_hda_codec_realtek snd_hda_codec_generic mac80211 ghash_clmulni_intel uvcvideo microcode snd_hda_intel videobuf2_vmalloc serio_raw videobuf2_memops snd_hda_controller snd_hda_codec videobuf2_core btusb snd_hwdep iwlwifiP[FC])[DF]g
 v4l2_common bluetooth videodev sdhci_pci media snd_seq cfg80211 snd_seq_device sdhci mmc_core cdc_acm snd_pcm lpc_ich mfd_core i2c_i801 snd_timer shpchp thinkpad_acpi wmi snd soundcore rfkill tpm_tis tpm mei_me mei sunrpc cdc_mbim cdc_ncm i915 usbnet mii cdc_wdm i2c_algo_bit drm_kms_helper drm video
CPU: 3 PID: 4081 Comm: kworker/u17:0 Not tainted 3.17.0-0.rc1.git1.1.fc22.x86_64 #1
Hardware name: LENOVO 3444FHG/3444FHG, BIOS G6ETA6WW (2.66 ) 05/28/2014
Workqueue: hci0 hci_power_on [bluetooth][03]
 0000000000000000 000000003eacc208 ffff8800d42bbb30 ffffffff81829af0
 0000000000000000 ffff8800d42bbb68 ffffffff810a114d ffff8800d42bbc58
 ffff8801c1167d80 ffff8800bec6f180 ffff8801f5c546d0 00000000fffffff5
Call Trace:
 [<ffffffff81829af0>] dump_stack+0x4d/0x66
 [<ffffffff810a114d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810a127a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81542ad9>] _request_firmware+0x509/0x820
 [<ffffffff814008d9>] ? snprintf+0x49/0x60
 [<ffffffff81542e21>] request_firmware+0x31/0x50[03]
 [<ffffffffa02bccb3>] btusb_setup_bcm_patchram+0x83/0x560 [btusb]
 [<ffffffff810fa11d>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffffa03dd3a7>] hci_dev_do_open+0xe7/0xac0 [bluetooth]
 [<ffffffffa03de450>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810c124c>] process_one_work+0x21c/0x6d0
 [<ffffffff810c11e0>] ? process_one_work+0x1b0/0x6d0
 [<ffffffff810c176b>] worker_thread+0x6b/0x4a0
 [<ffffffff810c1700>] ? process_one_work+0x6d0/0x6d0
 [<ffffffff810c7ba8>] kthread+0x108/0x120
 [<ffffffff810fa06d>] ? trace_hardirqs_on_caller+0x15d/0x200
 [<ffffffff810c7aa0>] ? kthread_create_on_node+0x250/0x250
 [<ffffffff818338bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810c7aa0>] ? kthread_create_on_node+0x250/0x250

Comment 1 Igor Gnatenko 2014-08-25 04:39:46 UTC
Created attachment 930312 [details]
File: dmesg

Comment 2 Igor Gnatenko 2014-08-25 07:16:54 UTC
https://bugzilla.kernel.org/show_bug.cgi?id=81821

Comment 3 Josh Boyer 2014-09-03 12:24:06 UTC
*** Bug 1136680 has been marked as a duplicate of this bug. ***

Comment 4 Josh Boyer 2014-09-11 11:29:19 UTC
*** Bug 1140509 has been marked as a duplicate of this bug. ***

Comment 5 Ingo Weiss 2014-09-24 05:46:50 UTC
Happening on 3.16.2-201.fc20.x86_64 as well.

Sep 24 06:41:08 kernel: PM: resume of devices complete after 501.343 msecs
Sep 24 06:41:08 kernel: ------------[ cut here ]------------
Sep 24 06:41:08 kernel: WARNING: CPU: 2 PID: 13160 at drivers/base/firmware_class.c:1105 _request_firmware+0x73a/0x760()
Sep 24 06:41:08 kernel: Modules linked in: fuse dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop bridge stp llc bnep hp
_accel lis3lv02d input_polldev dm_crypt uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common x86_pkg_temp_thermal videodev coretemp kvm_int
el media kvm iTCO_wdt iTCO_vendor_support sdhci_pci btusb crct10dif_pclmul bluetooth arc4 iwldvm snd_hda_codec_hdmi thinkpad_acpi mac80211 iwlwifi sdhci cfg8
0211 mmc_core shpchp wmi crc32_pclmul crc32c_intel ghash_clmulni_intel microcode snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller
 snd_hda_codec snd_hwdep joydev snd_seq snd_seq_device snd_pcm snd_timer serio_raw i2c_i801 tpm_tis lpc_ich mfd_core mei_me mei snd soundcore rfkill binfmt_m
isc i915 e1000e i2c_algo_bit drm_kms_helper drm ptp pps_core
Sep 24 06:41:08 kernel:  i2c_core video ecryptfs encrypted_keys trusted tpm [last unloaded: iptable_raw]
Sep 24 06:41:08 kernel: CPU: 2 PID: 13160 Comm: kworker/u17:0 Not tainted 3.16.2-201.fc20.x86_64 #1
Sep 24 06:41:08 kernel: Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET37WW (1.12 ) 05/29/2012
Sep 24 06:41:08 kernel: Workqueue: hci0 hci_power_on [bluetooth]
Sep 24 06:41:08 kernel:  0000000000000000 00000000b6dc034c ffff88030b2cbbf0 ffffffff81706e31
Sep 24 06:41:08 kernel:  0000000000000000 ffff88030b2cbc28 ffffffff8108d0ad ffff88011728f7a0
Sep 24 06:41:08 kernel:  ffff88030b2cbd08 ffff88030b2cbd00 ffff880258b52880 00000000fffffff5
Sep 24 06:41:08 kernel: Call Trace:
Sep 24 06:41:08 kernel:  [<ffffffff81706e31>] dump_stack+0x45/0x56
Sep 24 06:41:08 kernel:  [<ffffffff8108d0ad>] warn_slowpath_common+0x7d/0xa0
Sep 24 06:41:08 kernel:  [<ffffffff8108d1da>] warn_slowpath_null+0x1a/0x20
Sep 24 06:41:08 kernel:  [<ffffffff8148413a>] _request_firmware+0x73a/0x760
Sep 24 06:41:08 kernel:  [<ffffffff81369af9>] ? snprintf+0x49/0x70
Sep 24 06:41:08 kernel:  [<ffffffff81484191>] request_firmware+0x31/0x50
Sep 24 06:41:08 kernel:  [<ffffffffa0408923>] btusb_setup_bcm_patchram+0x83/0x430 [btusb]
Sep 24 06:41:08 kernel:  [<ffffffff8147b8a6>] ? rpm_idle+0xd6/0x2b0
Sep 24 06:41:08 kernel:  [<ffffffffa0550ff5>] hci_dev_do_open+0x285/0x930 [bluetooth]
Sep 24 06:41:08 kernel:  [<ffffffff810bdf45>] ? check_preempt_curr+0x75/0xa0
Sep 24 06:41:08 kernel:  [<ffffffffa0551cd0>] hci_power_on+0x40/0x180 [bluetooth]
Sep 24 06:41:08 kernel:  [<ffffffff810be0dd>] ? ttwu_do_activate.constprop.96+0x5d/0x70
Sep 24 06:41:08 kernel:  [<ffffffff810a90c6>] process_one_work+0x176/0x430
Sep 24 06:41:08 kernel:  [<ffffffff810a979d>] worker_thread+0x11d/0x530
Sep 24 06:41:08 kernel:  [<ffffffff810a9680>] ? rescuer_thread+0x300/0x300
Sep 24 06:41:08 kernel:  [<ffffffff810b0268>] kthread+0xd8/0xf0
Sep 24 06:41:08 kernel:  [<ffffffff810b0190>] ? insert_kthread_work+0x40/0x40
Sep 24 06:41:08 kernel:  [<ffffffff8170e3bc>] ret_from_fork+0x7c/0xb0
Sep 24 06:41:08 kernel:  [<ffffffff810b0190>] ? insert_kthread_work+0x40/0x40
Sep 24 06:41:08 kernel: ---[ end trace b555be9027071c37 ]---
Sep 24 06:41:08 kernel: bluetooth hci0: firmware: brcm/BCM20702A0-0a5c-21e6.hcd will not be loaded
Sep 24 06:41:08 kernel: Bluetooth: hci0: BCM: patch brcm/BCM20702A0-0a5c-21e6.hcd not found
Sep 24 06:41:08 kernel: PM: Finishing wakeup.

Bus 001 Device 003: ID 0a5c:21e6 Broadcom Corp. BCM20702 Bluetooth 4.0 [ThinkPad]
  idVendor           0x0a5c Broadcom Corp.
  idProduct          0x21e6 BCM20702 Bluetooth 4.0 [ThinkPad]
  bcdDevice            1.12
  iManufacturer           1 Broadcom Corp
  iProduct                2 BCM20702A0

Comment 6 Philip Withnall 2014-10-27 11:41:38 UTC
Description of problem:
No idea.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.16.4-200.fc20.x86_64 root=UUID=981d7be2-5827-40f2-80ab-755a0cbe3abf ro rootflags=subvol=root rd.md=0 rd.lvm=0 rd.dm=0 rd.luks.uuid=luks-85eea462-97b7-4f94-94b0-f6a6aae5d651 vconsole.font=latarcyrheb-sun16 vconsole.keymap=uk rd.luks.uuid=luks-d68475a0-ca09-48b9-923b-b809f53dfeba rhgb quiet LANG=en_GB.UTF-8
kernel:         3.16.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 901 at drivers/base/firmware_class.c:1105 _request_firmware+0x73a/0x760()
Modules linked in: rfcomm fuse ccm ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat iTCO_wdt btusb iTCO_vendor_support bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core x86_pkg_temp_thermal cdc_acm v4l2_common coretemp videodev media arc4 kvm_intel snd_hda_codec_hdmi kvm snd_hda_codec_realtek snd_hda_codec_generic iwldvm mac80211 crct10dif_pclmul snd_hda_intel microcode snd_hda_controller joydev iwlwifi snd_hda_codec serio_raw sdhci_pci i2c_i801 sdhci snd_hwdep snd_seq mmc_core snd_seq_device cfg80211 lpc_ich snd_pcm mfd_core shpchp wmi thinkpad_acpi snd_timer rfkill tpm_tis snd tpm mei_me soundcore mei btrfs xor raid6_pq dm_crypt uas usb_storage cdc_mbim cdc_ncm usbnet mii cdc_wdm crc32_pclmul crc32c_intel i915 ghash_clmulni_intel i2c_algo_bit e1000e drm_kms_helper drm ptp i2c_core pps_core video
CPU: 2 PID: 901 Comm: kworker/u17:1 Not tainted 3.16.4-200.fc20.x86_64 #1
Hardware name: LENOVO 232577G/232577G, BIOS G2ET92WW (2.52 ) 02/22/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000003b7cde0 ffff880210183bf0 ffffffff81707965
 0000000000000000 ffff880210183c28 ffffffff8108d0ad ffff8800d40c7420
 ffff880210183d08 ffff880210183d00 ffff8801576b0c00 00000000fffffff5
Call Trace:
 [<ffffffff81707965>] dump_stack+0x45/0x56
 [<ffffffff8108d0ad>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108d1da>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81484a0a>] _request_firmware+0x73a/0x760
 [<ffffffff8136a279>] ? snprintf+0x49/0x70
 [<ffffffff81484a61>] request_firmware+0x31/0x50
 [<ffffffffa0707923>] btusb_setup_bcm_patchram+0x83/0x430 [btusb]
 [<ffffffff8147c176>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa073cff5>] hci_dev_do_open+0x285/0x930 [bluetooth]
 [<ffffffff810125d2>] ? __switch_to+0x122/0x590
 [<ffffffffa073dcd0>] hci_power_on+0x40/0x180 [bluetooth]
 [<ffffffff810a90d6>] process_one_work+0x176/0x430
 [<ffffffff810a97ad>] worker_thread+0x11d/0x530
 [<ffffffff810a9690>] ? rescuer_thread+0x300/0x300
 [<ffffffff810b0278>] kthread+0xd8/0xf0
 [<ffffffff810b01a0>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8170eefc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b01a0>] ? insert_kthread_work+0x40/0x40

Comment 7 Thom Carlin 2014-11-12 14:51:49 UTC
Description of problem:
Happens after lid closes on Lenovo W530

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.2-200.fc20.x86_64 root=/dev/mapper/fedora_<hostname>-root ro rd.lvm.lv=fedora_<hostname>/swap rd.luks.uuid=luks-4b4a7f64-0421-4802-9cfc-e72d90bdefda rd.lvm.lv=fedora_<hostname>/root vconsole.font=latarcyrheb-sun16 LANG=en_US.UTF-8 rd_NO_PLYMOUTH
kernel:         3.17.2-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 9294 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 iwldvm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core mac80211 snd_hda_codec_realtek snd_hda_codec_generic v4l2_common snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep videodev x86_pkg_temp_thermal iwlwifi cfg80211 iTCO_wdt coretemp media kvm_intel btusb snd_seq sdhci_pci sdhci mmc_core iTCO_vendor_support bluetooth mei_me lpc_ich joydev serio_raw kvm snd_seq_device e1000e snd_pcm snd_timer mfd_core shpchp i2c_i801 mei ptp pps_core tpm_tis tpm thinkpad_acpi snd soundcore rfkill nfsd binfmt_misc auth_rpcgss nfs_acl lockd sunrpc dm_crypt i915 nouveau crct10dif_pclmul crc32_pclmul crc32c_intel mxm_wmi ttm ghash_clmulni_intel i2c_algo_bit drm_kms_helper firewire_ohci firewire_core drm crc_itu_t wmi video
CPU: 4 PID: 9294 Comm: kworker/u17:0 Not tainted 3.17.2-200.fc20.x86_64 #1
Hardware name: LENOVO 2436CTO/2436CTO, BIOS G5ETA0WW (2.60 ) 08/22/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000ff9476da ffff88081033fbe8 ffffffff817271cc
 0000000000000000 ffff88081033fc20 ffffffff81094ced ffff88081033fd10
 ffff8807daaeaea0 ffff88080f4f2f00 ffff88081033fd08 00000000fffffff5
Call Trace:
 [<ffffffff817271cc>] dump_stack+0x45/0x56
 [<ffffffff81094ced>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81094e1a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814965c1>] _request_firmware+0x4c1/0x7c0
 [<ffffffff8137b9b9>] ? snprintf+0x49/0x70
 [<ffffffff814968f1>] request_firmware+0x31/0x50
 [<ffffffffa05f6bf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff8148ecf6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0541051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
 [<ffffffff810bcb3d>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa05421c0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f53fb>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810acc39>] process_one_work+0x149/0x3d0
 [<ffffffff810ad2bb>] worker_thread+0x11b/0x490
 [<ffffffff810ad1a0>] ? rescuer_thread+0x2e0/0x2e0
 [<ffffffff810b2318>] kthread+0xd8/0xf0
 [<ffffffff810b2240>] ? kthread_create_on_node+0x190/0x190
 [<ffffffff8172e7bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b2240>] ? kthread_create_on_node+0x190/0x190

Comment 8 Thom Carlin 2014-11-19 15:11:34 UTC
Description of problem:
Happens after lid reopens

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.2-200.fc20.x86_64 root=/dev/mapper/fedora_<hostname>-root ro rd.lvm.lv=fedora_<hostname>/swap rd.luks.uuid=luks-4b4a7f64-0421-4802-9cfc-e72d90bdefda rd.lvm.lv=fedora_<hostname>/root vconsole.font=latarcyrheb-sun16 LANG=en_US.UTF-8 rd_NO_PLYMOUTH
kernel:         3.17.2-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 30352 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_realtek snd_hda_codec_generic iTCO_wdt iTCO_vendor_support arc4 iwldvm mac80211 btusb bluetooth uvcvideo snd_hda_intel videobuf2_vmalloc snd_hda_controller videobuf2_memops snd_hda_codec videobuf2_core x86_pkg_temp_thermal coretemp v4l2_common snd_hwdep videodev kvm_intel snd_seq snd_seq_device iwlwifi media kvm snd_pcm joydev sdhci_pci cfg80211 serio_raw e1000e sdhci mei_me mmc_core lpc_ich ptp i2c_i801 mei thinkpad_acpi mfd_core pps_core snd_timer shpchp snd soundcore tpm_tis rfkill tpm binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc dm_crypt nouveau crct10dif_pclmul crc32_pclmul crc32c_intel i915 mxm_wmi ttm ghash_clmulni_intel i2c_algo_bit drm_kms_helper firewire_ohci firewire_core drm crc_itu_t wmi video
CPU: 6 PID: 30352 Comm: kworker/u17:0 Not tainted 3.17.2-200.fc20.x86_64 #1
Hardware name: LENOVO 2436CTO/2436CTO, BIOS G5ETA0WW (2.60 ) 08/22/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000a8f73611 ffff8806c143bbe8 ffffffff817271cc
 0000000000000000 ffff8806c143bc20 ffffffff81094ced ffff8806c143bd10
 ffff8808066e2c60 ffff88079fe2ef80 ffff8806c143bd08 00000000fffffff5
Call Trace:
 [<ffffffff817271cc>] dump_stack+0x45/0x56
 [<ffffffff81094ced>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81094e1a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814965c1>] _request_firmware+0x4c1/0x7c0
 [<ffffffff8137b9b9>] ? snprintf+0x49/0x70
 [<ffffffff814968f1>] request_firmware+0x31/0x50
 [<ffffffffa0638bf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff8148ecf6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0728051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
 [<ffffffff810bcb3d>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa07291c0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f53fb>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810acc39>] process_one_work+0x149/0x3d0
 [<ffffffff810ad2bb>] worker_thread+0x11b/0x490
 [<ffffffff810ad1a0>] ? rescuer_thread+0x2e0/0x2e0
 [<ffffffff810b2318>] kthread+0xd8/0xf0
 [<ffffffff810b2240>] ? kthread_create_on_node+0x190/0x190
 [<ffffffff8172e7bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b2240>] ? kthread_create_on_node+0x190/0x190

Comment 9 Jeremy Harris 2014-11-21 12:08:59 UTC
Description of problem:
I'm not convinced this was a crash at all.  Hibernate, resume.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.2-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=uk LANG=en_GB.UTF-8 crashkernel=auto
kernel:         3.17.2-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 4262 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: ccm vhost_net vhost macvtap macvlan fuse ipt_MASQUERADE xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security dm_crypt iptable_raw bnep binfmt_misc dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c arc4 iwldvm mac80211 mmc_block iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic x86_pkg_temp_thermal coretemp snd_hda_intel snd_hda_controller snd_hda_codec kvm_intel snd_hwdep
snd_seq kvm snd_seq_device uvcvideo crct10dif_pclmul videobuf2_vmalloc crc32_pclmul videobuf2_memops btusb crc32c_intel videobuf2_core bluetooth v4l2_common iwlwifi videodev ghash_clmulni_intel media joydev snd_pcm thinkpad_acpi sdhci_pci serio_raw snd_timer sdhci mmc_core cfg80211 lpc_ich mfd_core mei_me i2c_i801 mei snd shpchp wmi soundcore rfkill tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc i915 e1000e ptp i2c_algo_bit pps_core drm_kms_helper drm video uas usb_storage
CPU: 3 PID: 4262 Comm: kworker/u17:0 Not tainted 3.17.2-200.fc20.x86_64 #1
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET94WW (2.54 ) 05/23/2013
Workqueue: hci0 hci_power_on [bluetooth]
0000000000000000 00000000d7071f67 ffff880406aefbe8 ffffffff817271cc
0000000000000000 ffff880406aefc20 ffffffff81094ced ffff880406aefd10
ffff880375ca4e60 ffff8803c456b400 ffff880406aefd08 00000000fffffff5
Call Trace:
[<ffffffff817271cc>] dump_stack+0x45/0x56
[<ffffffff81094ced>] warn_slowpath_common+0x7d/0xa0
[<ffffffff81094e1a>] warn_slowpath_null+0x1a/0x20
[<ffffffff814965c1>] _request_firmware+0x4c1/0x7c0
[<ffffffff8137b9b9>] ? snprintf+0x49/0x70
Restarting tasks ... 
[<ffffffff814968f1>] request_firmware+0x31/0x50
[<ffffffffa051bbf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
[<ffffffff8148ecf6>] ? rpm_idle+0xd6/0x2b0
[<ffffffffa04a3051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
[<ffffffff810bcb3d>] ? ttwu_do_activate.constprop.90+0x5d/0x70
[<ffffffffa04a41c0>] hci_power_on+0x40/0x1e0 [bluetooth]
[<ffffffff810f53fb>] ? lock_timer_base.isra.34+0x2b/0x50
[<ffffffff810acc39>] process_one_work+0x149/0x3d0
[<ffffffff810ad2bb>] worker_thread+0x11b/0x490
[<ffffffff810ad1a0>] ? rescuer_thread+0x2e0/0x2e0
[<ffffffff810b2318>] kthread+0xd8/0xf0
[<ffffffff810b2240>] ? kthread_create_on_node+0x190/0x190
[<ffffffff8172e7bc>] ret_from_fork+0x7c/0xb0
[<ffffffff810b2240>] ? kthread_create_on_node+0x190/0x190

Comment 10 Thom Carlin 2014-12-10 00:09:52 UTC
Description of problem:
Pops up after sleep/hibernate

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.4-200.fc20.x86_64 root=/dev/mapper/fedora_<hostname>-root ro rd.lvm.lv=fedora_<hostname>/swap rd.luks.uuid=luks-4b4a7f64-0421-4802-9cfc-e72d90bdefda rd.lvm.lv=fedora_<hostname>/root vconsole.font=latarcyrheb-sun16 LANG=en_US.UTF-8 rd_NO_PLYMOUTH
kernel:         3.17.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 12317 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 iwldvm mac80211 x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic iTCO_wdt iTCO_vendor_support btusb uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device e1000e snd_pcm ptp microcode joydev sdhci_pci lpc_ich iwlwifi serio_raw sdhci mmc_core i2c_i801 cfg80211 mei_me mei mfd_core snd_timer pps_core shpchp thinkpad_acpi snd soundcore rfkill tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc dm_crypt i915 nouveau crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel mxm_wmi firewire_ohci ttm firewire_core i2c_algo_bit crc_itu_t drm_kms_helper drm wmi video
CPU: 4 PID: 12317 Comm: kworker/u17:0 Not tainted 3.17.4-200.fc20.x86_64 #1
Hardware name: LENOVO 2436CTO/2436CTO, BIOS G5ETA0WW (2.60 ) 08/22/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000f05cc745 ffff88080fdf3be8 ffffffff81726d2c
 0000000000000000 ffff88080fdf3c20 ffffffff81092e6d ffff88080fdf3d10
 ffff8807fa52ecc0 ffff88080d8a8180 ffff88080fdf3d08 00000000fffffff5
Call Trace:
 [<ffffffff81726d2c>] dump_stack+0x45/0x56
 [<ffffffff81092e6d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81092f9a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814957f1>] _request_firmware+0x4c1/0x7c0
 [<ffffffff8137aed9>] ? snprintf+0x49/0x70
 [<ffffffff81495b21>] request_firmware+0x31/0x50
 [<ffffffffa077cbf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff8148df16>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa06e4051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
 [<ffffffff810bacbd>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa06e51c0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f367b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810aadb9>] process_one_work+0x149/0x3d0
 [<ffffffff810ab43b>] worker_thread+0x11b/0x490
 [<ffffffff810ab320>] ? rescuer_thread+0x2e0/0x2e0
 [<ffffffff810b0498>] kthread+0xd8/0xf0
 [<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190
 [<ffffffff8172e33c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190

Comment 11 Philip Withnall 2014-12-10 10:52:02 UTC
Description of problem:
No idea, sorry. Most likely on resume from suspend.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.4-200.fc20.x86_64 root=UUID=981d7be2-5827-40f2-80ab-755a0cbe3abf ro rootflags=subvol=root rd.md=0 rd.lvm=0 rd.dm=0 rd.luks.uuid=luks-85eea462-97b7-4f94-94b0-f6a6aae5d651 vconsole.font=latarcyrheb-sun16 vconsole.keymap=uk rd.luks.uuid=luks-d68475a0-ca09-48b9-923b-b809f53dfeba rhgb quiet LANG=en_GB.UTF-8
kernel:         3.17.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 4856 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: ccm rfcomm btusb tcp_lp fuse bnep bluetooth ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw iTCO_wdt iTCO_vendor_support uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common snd_hda_codec_hdmi videodev vfat fat media cdc_acm x86_pkg_temp_thermal snd_hda_codec_realtek snd_hda_codec_generic coretemp arc4 snd_hda_intel kvm_intel snd_hda_controller kvm snd_hda_codec iwldvm snd_hwdep mac80211 snd_seq microcode snd_seq_device joydev sdhci_pci snd_pcm serio_raw iwlwifi sdhci mmc_core thinkpad_acpi cfg80211 i2c_i801 lpc_ich snd_timer mfd_core snd shpchp wmi mei_me mei soundcore rfkill tpm_tis tpm btrfs xor raid6_pq dm_crypt uas usb_storage cdc_mbim cdc_ncm usbnet mii cdc_wdm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel i915 e1000e ptp pps_core i2c_algo_bit drm_kms_helper drm video
CPU: 1 PID: 4856 Comm: kworker/u17:1 Not tainted 3.17.4-200.fc20.x86_64 #1
Hardware name: LENOVO 232577G/232577G, BIOS G2ET92WW (2.52 ) 02/22/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000d01535e2 ffff880002697be8 ffffffff81726d2c
 0000000000000000 ffff880002697c20 ffffffff81092e6d ffff880002697d10
 ffff880208ab01a0 ffff880003d7f800 ffff880002697d08 00000000fffffff5
Call Trace:
 [<ffffffff81726d2c>] dump_stack+0x45/0x56
 [<ffffffff81092e6d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81092f9a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814957f1>] _request_firmware+0x4c1/0x7c0
 [<ffffffff8137aed9>] ? snprintf+0x49/0x70
 [<ffffffff81495b21>] request_firmware+0x31/0x50
 [<ffffffffa08a5bf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff8148df16>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0817051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
 [<ffffffff810125d2>] ? __switch_to+0x122/0x590
 [<ffffffffa08181c0>] hci_power_on+0x40/0x1e0 [bluetooth]
PM: Syncing filesystems ... done.
 [<ffffffff81729c2b>] ? __schedule+0x2eb/0x7d0
 [<ffffffff810aadb9>] process_one_work+0x149/0x3d0
 [<ffffffff810ab43b>] worker_thread+0x11b/0x490
 [<ffffffff810ab320>] ? rescuer_thread+0x2e0/0x2e0
 [<ffffffff810b0498>] kthread+0xd8/0xf0
 [<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190
 [<ffffffff8172e33c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190

Comment 12 Alexander Lindqvist 2014-12-10 16:48:08 UTC
Description of problem:
Warning shows after returning from suspend.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.4-301.fc21.x86_64 root=/dev/sda2 ro rhgb quiet LANG=en_US.UTF-8 amd_iommu=off
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 7925 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache rfcomm fuse hidp ccm xt_CHECKSUM ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 b43 mac80211 cfg80211 ssb snd_hda_codec_realtek kvm_amd hp_wmi sparse_keymap snd_hda_codec_generic snd_hda_codec_hdmi kvm snd_hda_intel btusb bluetooth crct10dif_pclmul crc32_pclmul snd_hda_controller snd_hda_codec crc32c_intel
 snd_hwdep snd_seq uvcvideo ghash_clmulni_intel videobuf2_vmalloc videobuf2_memops snd_seq_device videobuf2_core rfkill v4l2_common tpm_infineon videodev snd_pcm media edac_core snd_timer serio_raw edac_mce_amd k10temp fam15h_power i2c_piix4 rtsx_pci_ms bcma snd memstick soundcore shpchp wmi hp_accel tpm_tis lis3lv02d tpm video input_polldev acpi_cpufreq hp_wireless xfs libcrc32c radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper ttm drm r8169 rtsx_pci mfd_core mii
CPU: 2 PID: 7925 Comm: kworker/u9:0 Not tainted 3.17.4-301.fc21.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 745 G2/221C, BIOS M84 Ver. 01.01 05/19/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 000000002c360c33 ffff8804285cfbf0 ffffffff8173f929
 0000000000000000 ffff8804285cfc28 ffffffff810970ad ffff8804285cfd18
 00000000fffffff5 ffff88040fcd04a0 0000000000000120 ffff8803c4bdb400
Call Trace:
 [<ffffffff8173f929>] dump_stack+0x45/0x56
 [<ffffffff810970ad>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971da>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa879>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dec9>] ? snprintf+0x49/0x60
 [<ffffffff814aab81>] request_firmware+0x31/0x50
 [<ffffffffa04c4c53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a3526>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0512241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25a3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa05133a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f934b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af88d>] process_one_work+0x14d/0x400
 [<ffffffff810b021b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01b0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b52fa>] kthread+0xea/0x100
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81746a3c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 13 lejeczek 2014-12-10 18:26:13 UTC
maybe realtek's r8169 module?
along with WARNING: CPU .... I get something I reported here:
https://bugzilla.redhat.com/show_bug.cgi?id=1161484

Comment 14 Cory Bell 2014-12-21 23:36:44 UTC
Description of problem:
I didn't notice the problem at all at the time, but the system froze on the next resume from suspend. I recently updated the UEFI firmware on my laptop to the latest version (immediately before upgrading to Fedora 21). Bluetooth was reliable with the old UEFI firmware and Fedora 19.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.6-300.fc21.x86_64 root=/dev/mapper/luks-c9628726-d777-485a-88ca-fc43aaa65a7b ro rd.lvm.lv=vg_ehonda/lv_swap rd.luks.uuid=luks-a0c91724-0a49-41f2-abd1-e2bbcbd03fab rd.luks.uuid=luks-c9628726-d777-485a-88ca-fc43aaa65a7b rd.luks.uuid=luks-08c6f69d-5457-492f-9fe9-2520986b01a2 rd.lvm.lv=vg_ehonda/lv_root rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 4031 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: tun rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat x86_pkg_temp_thermal coretemp kvm_intel kvm arc4 iwldvm snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic mac80211 snd_hda_intel uvcvideo snd_hda_controller snd_hda_codec videobuf2_vmalloc videobuf2_memops snd_hwdep videobuf2_core iwlwifi snd_seq btusb v4l2_common bluetooth videodev snd_seq_device media iTCO_wdt sdhci_pci
 iTCO_vendor_support sdhci snd_pcm cfg80211 mmc_core mei_me thinkpad_acpi lpc_ich mfd_core mei shpchp serio_raw i2c_i801 snd_timer snd soundcore tpm_tis tpm rfkill dm_crypt nouveau mxm_wmi i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul e1000e crc32c_intel ttm ghash_clmulni_intel firewire_ohci drm firewire_core ptp pps_core crc_itu_t wmi video
CPU: 4 PID: 4031 Comm: kworker/u17:0 Not tainted 3.17.6-300.fc21.x86_64 #1
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ETA2WW (2.62 ) 08/21/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000499417c3 ffff8802f46f3bf0 ffffffff8173f8aa
 0000000000000000 ffff8802f46f3c28 ffffffff810970bd ffff8802f46f3d18
 00000000fffffff5 ffff88030c1eaa60 0000000000000220 ffff8803095f3c00
Call Trace:
 [<ffffffff8173f8aa>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa939>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dee9>] ? snprintf+0x49/0x60
 [<ffffffff814aac41>] request_firmware+0x31/0x50
 [<ffffffffa03d6c53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a35e6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0431241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25b3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa04323a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f935b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b530a>] kthread+0xea/0x100
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff817469bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 15 Johan Swensson 2014-12-22 17:47:15 UTC
Description of problem:
Closed the laptop lid, problem occured when resuming from suspend. Reproduceable.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.6-300.fc21.x86_64 root=/dev/mapper/odin-root ro rd.lvm.lv=odin/usr rd.lvm.lv=odin/root rd.luks.uuid=luks-d0f5537d-2eef-40e3-a7de-2d9dc9036a87 rd.lvm.lv=odin/swap rhgb quiet
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 3710 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: tun rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE ip6t_rpfilter ip6t_REJECT bnep xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw xfs libcrc32c snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec x86_pkg_temp_thermal coretemp snd_hwdep kvm_intel uvcvideo snd_seq arc4 kvm btusb snd_seq_device iwldvm bluetooth iTCO_wdt iTCO_vendor_support mac80211 videobuf2_vmalloc videobuf2_memops videobuf2_core iwlwifi snd_pcm v4l2_common joydev cfg80211
 videodev serio_raw sdhci_pci i2c_i801 sdhci media mmc_core snd_timer mei_me thinkpad_acpi lpc_ich snd shpchp mfd_core mei soundcore wmi rfkill tpm_tis tpm dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper e1000e ghash_clmulni_intel drm ptp pps_core hid_logitech_dj video
CPU: 2 PID: 3710 Comm: kworker/u17:0 Not tainted 3.17.6-300.fc21.x86_64 #1
Hardware name: LENOVO 2356BH1/2356BH1, BIOS G7ET96WW (2.56 ) 09/12/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000fb36ffc9 ffff8800a94c3bf0 ffffffff8173f8aa
 0000000000000000 ffff8800a94c3c28 ffffffff810970bd ffff8800a94c3d18
 00000000fffffff5 ffff88032c600c00 0000000000000220 ffff8802f6e94e00
Call Trace:
 [<ffffffff8173f8aa>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa939>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dee9>] ? snprintf+0x49/0x60
 [<ffffffff814aac41>] request_firmware+0x31/0x50
 [<ffffffffa054ec53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a35e6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0472241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25b3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa04733a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f935b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b530a>] kthread+0xea/0x100
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff817469bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 16 Cory Bell 2014-12-23 21:36:50 UTC
Just wanted to note that this exception occurs even when the proper firmware is, in fact, present (and correctly applied on boot).

Initial boot:
Dec 22 17:55:42 goro.act-on.net kernel: Bluetooth: hci0: BCM: patching hci_ver=06 hci_rev=1000 lmp_ver=06 lmp_subver=220e
Dec 22 17:55:42 goro.act-on.net kernel: Bluetooth: hci0: BCM: firmware hci_ver=06 hci_rev=15ad lmp_ver=06 lmp_subver=220e

First resume:
Dec 22 23:25:17 goro.act-on.net kernel: PM: resume of devices complete after 501.458 msecs
Dec 22 23:25:17 goro.act-on.net kernel: PM: Finishing wakeup.
Dec 22 23:25:17 goro.act-on.net kernel: Restarting tasks ... done.
Dec 22 23:25:17 goro.act-on.net kernel: Bluetooth: hci0: BCM: patching hci_ver=06 hci_rev=1000 lmp_ver=06 lmp_subver=220e
Dec 22 23:25:18 goro.act-on.net kernel: Bluetooth: hci0: BCM: firmware hci_ver=06 hci_rev=15ad lmp_ver=06 lmp_subver=220e

Second resume:
Dec 23 01:12:01 goro.act-on.net kernel: PM: resume of devices complete after 501.467 msecs
Dec 23 01:12:01 goro.act-on.net kernel: ------------[ cut here ]------------
Dec 23 01:12:01 goro.act-on.net kernel: WARNING: CPU: 2 PID: 7327 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Dec 23 01:12:01 goro.act-on.net kernel: PM: Finishing wakeup.
Dec 23 01:12:01 goro.act-on.net kernel: bluetooth hci0: firmware: brcm/BCM20702A0-0a5c-21e6.hcd will not be loaded
Dec 23 01:12:01 goro.act-on.net kernel: Bluetooth: hci0: BCM: patch brcm/BCM20702A0-0a5c-21e6.hcd not found

Third resume:
Dec 23 09:28:41 goro.act-on.net kernel: PM: resume of devices complete after 501.407 msecs
Dec 23 09:28:41 goro.act-on.net kernel: ------------[ cut here ]------------
Dec 23 09:28:41 goro.act-on.net kernel: WARNING: CPU: 6 PID: 7931 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Dec 23 09:28:41 goro.act-on.net kernel: PM: Finishing wakeup.
Dec 23 09:28:41 goro.act-on.net kernel: bluetooth hci0: firmware: brcm/BCM20702A0-0a5c-21e6.hcd will not be loaded
Dec 23 09:28:41 goro.act-on.net kernel: Bluetooth: hci0: BCM: patch brcm/BCM20702A0-0a5c-21e6.hcd not found

The only obvious thing I see is that the "PM: Finishing wakeup." message occurs before the request_firmware attempt when it works, and in the middle of the kernel warning message when it doesn't work. So maybe some sort of race condition? This is a quad-core box, so it might be more prone to such things. Hope this helps!

Comment 17 Bill Peck 2014-12-24 12:38:11 UTC
Description of problem:
resume from suspend

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.4-301.fc21.x86_64 root=/dev/sda2 ro rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 6638 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: lp parport binfmt_misc tun rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT bnep xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw x86_pkg_temp_thermal coretemp snd_hda_codec_hdmi kvm_intel snd_hda_codec_realtek snd_hda_codec_generic arc4 kvm iwldvm snd_hda_intel btusb mac80211 iTCO_wdt iTCO_vendor_support bluetooth snd_hda_controller snd_hda_codec crct10dif_pclmul crc32_pclmul iwlwifi crc32c_intel snd_hwdep snd_seq snd_seq_device snd_pcm cfg80211 uvcvideo
 ghash_clmulni_intel videobuf2_vmalloc videobuf2_memops videobuf2_core sdhci_pci v4l2_common videodev sdhci media serio_raw mmc_core i2c_i801 shpchp lpc_ich mei_me thinkpad_acpi mfd_core snd_timer mei tpm_tis tpm snd wmi soundcore rfkill i915 e1000e i2c_algo_bit drm_kms_helper drm ptp pps_core video
CPU: 0 PID: 6638 Comm: kworker/u17:0 Not tainted 3.17.4-301.fc21.x86_64 #1
Hardware name: LENOVO 2429HP2/2429HP2, BIOS G4ET62WW (2.04 ) 09/13/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 000000001c4e6b8c ffff8801f6c3bbf0 ffffffff8173f929
 0000000000000000 ffff8801f6c3bc28 ffffffff810970ad ffff8801f6c3bd18
 00000000fffffff5 ffff8801979c5da0 0000000000000220 ffff8801ed443400
Call Trace:
 [<ffffffff8173f929>] dump_stack+0x45/0x56
 [<ffffffff810970ad>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971da>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa879>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dec9>] ? snprintf+0x49/0x60
 [<ffffffff814aab81>] request_firmware+0x31/0x50
 [<ffffffffa0393c53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a3526>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0427241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25a3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa04283a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f934b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af88d>] process_one_work+0x14d/0x400
 [<ffffffff810b021b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01b0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b52fa>] kthread+0xea/0x100
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81746a3c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 18 Clark Williams 2014-12-25 17:24:41 UTC
Description of problem:
Happened after first suspend/resume after a reboot.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.7-300.fc21.x86_64 root=/dev/mapper/fedora_sluggy-root ro rd.luks.uuid=luks-e2cf1753-b63e-4e06-864b-c2ab276a5cbd rd.lvm.lv=fedora_sluggy/swap rd.md=0 rd.dm=0 rd.lvm.lv=fedora_sluggy/root vconsole.keymap=us vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 20637 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: rfcomm fuse xt_CHECKSUM ipt_MASQUERADE ccm tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_realtek uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media btusb bluetooth snd_hda_codec_generic snd_hda_intel arc4 snd_hda_controller iwldvm mac80211 snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm x86_pkg_temp_thermal iwlwifi coretemp kvm_intel kvm cfg80211 sdhci_pci
 sdhci mmc_core thinkpad_acpi iTCO_wdt snd_timer snd iTCO_vendor_support soundcore mei_me rfkill mei lpc_ich i2c_i801 serio_raw shpchp mfd_core tpm_tis tpm wmi dm_crypt i915 i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul e1000e drm crc32c_intel firewire_ohci ghash_clmulni_intel firewire_core ptp crc_itu_t pps_core video
CPU: 2 PID: 20637 Comm: kworker/u17:0 Not tainted 3.17.7-300.fc21.x86_64 #1
Hardware name: LENOVO 24293E8/24293E8, BIOS G4ET94WW (2.54 ) 05/23/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000106c79e5 ffff880406477bf0 ffffffff817401ea
 0000000000000000 ffff880406477c28 ffffffff810970bd ffff880406477d18
 00000000fffffff5 ffff8803b9a032a0 0000000000000220 ffff8803f4377d00
PM: Finishing wakeup.
Restarting tasks ... 
Call Trace:
 [<ffffffff817401ea>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ab089>] _request_firmware+0x519/0x7f0
 [<ffffffff8138e639>] ? snprintf+0x49/0x60
 [<ffffffff814ab391>] request_firmware+0x31/0x50
 [<ffffffffa0458c53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a3d36>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0573241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25b3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa05743a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f935b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b530a>] kthread+0xea/0x100
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff817472fc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 19 Mike Hinz 2014-12-27 21:34:22 UTC
Description of problem:
Closed lid to suspend laptop and the kernel error occured when I resumed it. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.7-300.fc21.x86_64 root=UUID=d28aee4c-2b36-4c90-bbfb-63e3a942b219 ro rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 8047 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev btusb x86_pkg_temp_thermal coretemp media bluetooth kvm_intel kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel thinkpad_acpi snd_hda_controller
 ghash_clmulni_intel serio_raw snd_hda_codec wmi sdhci_pci sdhci lpc_ich mmc_core mfd_core snd_hwdep tpm_tis i2c_i801 arc4 iwldvm mac80211 iwlwifi snd_seq snd_seq_device snd_pcm cfg80211 snd_timer mei_me mei rfkill snd soundcore shpchp binfmt_misc i915 e1000e hid_logitech_dj i2c_algo_bit ptp drm_kms_helper pps_core drm video loop ecryptfs encrypted_keys trusted tpm
CPU: 2 PID: 8047 Comm: kworker/u17:0 Not tainted 3.17.7-300.fc21.x86_64 #1
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ET93WW (2.53 ) 02/22/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000077c80cb0 ffff88017fedbbf0 ffffffff817401ea
 0000000000000000 ffff88017fedbc28 ffffffff810970bd ffff88017fedbd18
 00000000fffffff5 ffff880210b40080 0000000000000220 ffff88007bf10800
Call Trace:
 [<ffffffff817401ea>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ab089>] _request_firmware+0x519/0x7f0
 [<ffffffff8138e639>] ? snprintf+0x49/0x60
 [<ffffffff814ab391>] request_firmware+0x31/0x50
 [<ffffffffa05fcc53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a3d36>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0582241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25b3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa05833a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f935b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b530a>] kthread+0xea/0x100
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff817472fc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 20 Jeremy Harris 2015-01-01 15:34:50 UTC
Description of problem:
Post-hibernation startup.  Shutdown was due to low battery.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.6-300.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=uk LANG=en_GB.UTF-8 crashkernel=auto rhgb
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 5651 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: rfcomm vhost_net vhost macvtap macvlan fuse xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw dm_crypt binfmt_misc bnep x86_pkg_temp_thermal dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev coretemp kvm_intel mmc_block btusb arc4 bluetooth media iwldvm mac80211 iTCO_wdt kvm iwlwifi snd_hda_codec_hdmi snd_hda_codec_realtek
 snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec iTCO_vendor_support crct10dif_pclmul snd_hwdep crc32_pclmul crc32c_intel thinkpad_acpi snd_seq snd_seq_device ghash_clmulni_intel snd_pcm snd_timer snd sdhci_pci cfg80211 mei_me mei joydev sdhci serio_raw mmc_core i2c_i801 lpc_ich wmi shpchp tpm_tis tpm rfkill soundcore mfd_core i915 i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core video uas usb_storage
CPU: 1 PID: 5651 Comm: kworker/u17:0 Not tainted 3.17.6-300.fc21.x86_64 #1
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET94WW (2.54 ) 05/23/2013
PM: Image restored successfully.
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000d428028b ffff880403abfbf0 ffffffff8173f8aa
 0000000000000000 ffff880403abfc28 ffffffff810970bd ffff880403abfd18
 00000000fffffff5 ffff8803b13d4660 0000000000000220 ffff8803b0b23300
Call Trace:
 [<ffffffff8173f8aa>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa939>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dee9>] ? snprintf+0x49/0x60
 [<ffffffff814aac41>] request_firmware+0x31/0x50
 [<ffffffffa0525c53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a35e6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0593241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
PM: Basic memory bitmaps freed
 [<ffffffff810c25b3>] ? try_to_wake_up+0xf3/0x330
Restarting tasks ... 
 [<ffffffffa05943a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f935b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b530a>] kthread+0xea/0x100
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff817469bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 21 M. Ray Mullins 2015-01-05 03:52:40 UTC
Description of problem:
The computer was in sleep mode. This appeared when I woke it up. I have no other information. unfortunately.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.4-200.fc20.x86_64 root=/dev/mapper/fedora_z1090-root ro rd.lvm.lv=fedora_z1090/swap rd.dm=0 rd.lvm.lv=fedora_z1090/root rd.luks=0 vconsole.keymap=us rd.md.uuid=592f9333:38584596:541e1c73:4931d0d2 rd.md.uuid=378429ab:6579fae4:5a390f1b:26a8c5fb rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 6090 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: tun rfcomm fuse ccm nf_conntrack_tftp nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep x86_pkg_temp_thermal arc4 iwldvm coretemp mac80211 iTCO_wdt kvm iTCO_vendor_support uvcvideo serio_raw btusb videobuf2_vmalloc crct10dif_pclmul videobuf2_memops crc32_pclmul videobuf2_core crc32c_intel v4l2_common i2c_i801 bluetooth ghash_clmulni_intel snd_hda_codec_realtek snd_hda_codec_generic videodev iwlwifi
thinkpad_acpi snd_hda_intel media snd_hda_controller cfg80211 microcode snd_hda_codec sdhci_pci rfkill sdhci e1000e mmc_core mei_me mei snd_hwdep snd_seq tpm_tis ptp pps_core snd_seq_device snd_pcm lpc_ich mfd_core tpm snd_timer snd soundcore shpchp raid0 nouveau i915 mxm_wmi ttm firewire_ohci firewire_core i2c_algo_bit drm_kms_helper crc_itu_t drm wmi video
CPU: 2 PID: 6090 Comm: kworker/u17:0 Not tainted 3.17.4-200.fc20.x86_64 #1
Hardware name: LENOVO 2436CTO/2436CTO, BIOS G5ET92WW (2.52 ) 02/27/2013
Workqueue: hci0 hci_power_on [bluetooth]
0000000000000000 000000009bc727f7 ffff8800a1eebbe8 ffffffff81726d2c
0000000000000000 ffff8800a1eebc20 ffffffff81092e6d ffff8800a1eebd10
ffff880059a81aa0 ffff88006f8fd800 ffff8800a1eebd08 00000000fffffff5
Call Trace:
[<ffffffff81726d2c>] dump_stack+0x45/0x56
[<ffffffff81092e6d>] warn_slowpath_common+0x7d/0xa0
[<ffffffff81092f9a>] warn_slowpath_null+0x1a/0x20
[<ffffffff814957f1>] _request_firmware+0x4c1/0x7c0
[<ffffffff8137aed9>] ? snprintf+0x49/0x70
[<ffffffff81495b21>] request_firmware+0x31/0x50
[<ffffffffa054bbf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
[<ffffffff8148df16>] ? rpm_idle+0xd6/0x2b0
[<ffffffffa05bb051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
[<ffffffff810bacbd>] ? ttwu_do_activate.constprop.90+0x5d/0x70
[<ffffffffa05bc1c0>] hci_power_on+0x40/0x1e0 [bluetooth]
[<ffffffff810f367b>] ? lock_timer_base.isra.34+0x2b/0x50
[<ffffffff810aadb9>] process_one_work+0x149/0x3d0
[<ffffffff810ab43b>] worker_thread+0x11b/0x490
[<ffffffff810ab320>] ? rescuer_thread+0x2e0/0x2e0
[<ffffffff810b0498>] kthread+0xd8/0xf0
[<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190
[<ffffffff8172e33c>] ret_from_fork+0x7c/0xb0
[<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190

Comment 22 Josh Boyer 2015-01-06 13:51:58 UTC
*** Bug 1179046 has been marked as a duplicate of this bug. ***

Comment 23 François Cami 2015-01-07 12:46:16 UTC
Description of problem:
Possibly during suspend-and-resume

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.7-300.fc21.x86_64 root=/dev/mapper/caladan-root ro rd.lvm.lv=caladan/swap rd.luks.uuid=luks-a4a42178-f1a0-445c-9cde-ef37e33bc2b8 rd.lvm.lv=caladan/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 6823 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: vhost_net vhost macvtap macvlan xt_CHECKSUM ipt_MASQUERADE fuse btrfs xor raid6_pq ufs hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c reiserfs rfcomm tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_hdmi arc4 iwldvm mac80211 snd_hda_codec_realtek snd_hda_codec_generic x86_pkg_temp_thermal coretemp kvm_intel snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep kvm iwlwifi snd_seq snd_seq_device btusb bluetooth iTCO_wdt iTCO_vendor_support
 sdhci_pci sdhci cfg80211 thinkpad_acpi snd_pcm snd_timer snd mmc_core tpm_tis uvcvideo rfkill videobuf2_vmalloc mei_me tpm videobuf2_memops shpchp joydev mei videobuf2_core v4l2_common videodev lpc_ich media mfd_core serio_raw i2c_i801 wmi soundcore dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel e1000e ghash_clmulni_intel i2c_algo_bit drm_kms_helper uas usb_storage drm ptp pps_core video [last unloaded: i2c_dev]
CPU: 2 PID: 6823 Comm: kworker/u17:0 Not tainted 3.17.7-300.fc21.x86_64 #1
Hardware name: LENOVO 2325F51/2325F51, BIOS G2ET95WW (2.55 ) 07/09/2013
ACPI: \_SB_.PCI0.LPC_.EC__.BAT1: docking
PM: Finishing wakeup.
Restarting tasks ... 
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000a3103bd7 ffff8800c9ca7bf0 ffffffff817401ea
 0000000000000000 ffff8800c9ca7c28 ffffffff810970bd ffff8800c9ca7d18
 00000000fffffff5 ffff88013dd7f7a0 0000000000000220 ffff8801643f3600
Call Trace:
 [<ffffffff817401ea>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ab089>] _request_firmware+0x519/0x7f0
 [<ffffffff8138e639>] ? snprintf+0x49/0x60
 [<ffffffff814ab391>] request_firmware+0x31/0x50
 [<ffffffffa031bc53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a3d36>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0402241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25b3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa04033a0>] hci_power_on+0x40/0x1e0 [bluetooth]
ACPI: \_SB_.PCI0.LPC_.EC__.BAT1: Unable to dock!
 [<ffffffff810f935b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b530a>] kthread+0xea/0x100
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff817472fc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 24 moshe 2015-01-14 00:30:08 UTC
Description of problem:
Coming back from sleep on my Lenovo X230

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.8-300.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-a8e059ca-1693-426a-a3ef-8d6088eb3acd rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.8-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 4360 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: tun rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc bnep ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl x86_pkg_temp_thermal uvcvideo coretemp kvm_intel btusb kvm iTCO_wdt iTCO_vendor_support arc4 vfat fat videobuf2_vmalloc bluetooth videobuf2_memops iwldvm videobuf2_core mac80211 v4l2_common videodev snd_hda_codec_hdmi iwlwifi sdhci_pci snd_hda_codec_realtek snd_hda_codec_generic serio_raw cfg80211 sdhci mmc_core snd_hda_intel media snd_hda_controller
 i2c_i801 snd_hda_codec thinkpad_acpi snd_hwdep snd_seq snd_seq_device lpc_ich snd_pcm mfd_core wmi mei_me snd_timer mei tpm_tis tpm snd rfkill shpchp soundcore dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel e1000e ghash_clmulni_intel i2c_algo_bit drm_kms_helper ptp drm pps_core video
CPU: 2 PID: 4360 Comm: kworker/u17:0 Not tainted 3.17.8-300.fc21.x86_64 #1
Hardware name: LENOVO 2325OM4/2325OM4, BIOS G2ET95WW (2.55 ) 07/09/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 000000003fc526ec ffff8801fc4fbbf0 ffffffff81741aea
 0000000000000000 ffff8801fc4fbc28 ffffffff810970bd ffff8801fc4fbd18
 00000000fffffff5 ffff8801e827fa20 0000000000000220 ffff8800d48ea500
Call Trace:
 [<ffffffff81741aea>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ab3e9>] _request_firmware+0x519/0x7f0
 [<ffffffff8138e999>] ? snprintf+0x49/0x60
 [<ffffffff814ab6f1>] request_firmware+0x31/0x50
 [<ffffffffa0743c53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a4096>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0514241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25e3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa05153a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f938b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b531a>] kthread+0xea/0x100
 [<ffffffff810b5230>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81748bfc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5230>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 25 David Mansfield 2015-01-15 01:14:18 UTC
Description of problem:
Nothing I did

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.6-300.fc21.x86_64 root=/dev/mapper/vg_rodin-root_fs ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_rodin/swap rd.lvm.lv=vg_rodin/root_fs rd.luks=0 vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 25773 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: tun rfcomm fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common btusb videodev media bluetooth vfat fat x86_pkg_temp_thermal coretemp kvm_intel kvm arc4 iwldvm mac80211 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel iTCO_wdt snd_hda_codec snd_hwdep iTCO_vendor_support iwlwifi
 snd_seq snd_seq_device cfg80211 snd_pcm thinkpad_acpi rfkill tpm_tis mei_me serio_raw snd_timer wmi snd soundcore i2c_i801 tpm shpchp mei lpc_ich mfd_core binfmt_misc i915 i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core video
CPU: 0 PID: 25773 Comm: kworker/u17:0 Not tainted 3.17.6-300.fc21.x86_64 #1
Hardware name: LENOVO 2352CTO/2352CTO, BIOS G7ET60WW (2.02 ) 09/11/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000e6729942 ffff880181e4bbf0 ffffffff8173f8aa
 0000000000000000 ffff880181e4bc28 ffffffff810970bd ffff880181e4bd18
 00000000fffffff5 ffff8801f3367ea0 0000000000000220 ffff88021b720b00
Call Trace:
 [<ffffffff8173f8aa>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa939>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dee9>] ? snprintf+0x49/0x60
 [<ffffffff814aac41>] request_firmware+0x31/0x50
 [<ffffffffa0486c53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a35e6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa056f241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25b3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa05703a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f935b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b530a>] kthread+0xea/0x100
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff817469bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 26 clmalbon 2015-01-16 14:21:46 UTC
Description of problem:
Closed laptop lid during KDE session. (Sleep)
Opened laptop. (bug warning appeared.)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.6-300.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.4-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 21729 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: uas usb_storage ccm rfcomm ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi x86_pkg_temp_thermal coretemp snd_hda_codec_realtek snd_hda_codec_generic kvm arc4 crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_intel snd_hda_controller ghash_clmulni_intel iwldvm snd_hda_codec microcode mac80211 joydev uvcvideo btusb serio_raw videobuf2_vmalloc bluetooth snd_hwdep videobuf2_memops snd_seq videobuf2_core snd_seq_device
 v4l2_common videodev i2c_i801 iwlwifi media cfg80211 lpc_ich mfd_core snd_pcm sdhci_pci sdhci mmc_core snd_timer shpchp mei_me mei thinkpad_acpi snd soundcore rfkill wmi tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm video
CPU: 3 PID: 21729 Comm: kworker/u17:0 Not tainted 3.17.4-200.fc20.x86_64 #1
Hardware name: LENOVO 3444F8U/3444F8U, BIOS G6ET66WW (2.10 ) 11/20/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 000000009ecca603 ffff8800c9acfbe8 ffffffff81726d2c
 0000000000000000 ffff8800c9acfc20 ffffffff81092e6d ffff8800c9acfd10
 ffff8801f561aee0 ffff8800c9e44080 ffff8800c9acfd08 00000000fffffff5
Call Trace:
 [<ffffffff81726d2c>] dump_stack+0x45/0x56
 [<ffffffff81092e6d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81092f9a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814957f1>] _request_firmware+0x4c1/0x7c0
 [<ffffffff8137aed9>] ? snprintf+0x49/0x70
 [<ffffffff81495b21>] request_firmware+0x31/0x50
 [<ffffffffa0480bf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff8148df16>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0418051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
 [<ffffffff810bacbd>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa04191c0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f367b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810aadb9>] process_one_work+0x149/0x3d0
 [<ffffffff810ab43b>] worker_thread+0x11b/0x490
 [<ffffffff810ab320>] ? rescuer_thread+0x2e0/0x2e0
 [<ffffffff810b0498>] kthread+0xd8/0xf0
 [<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190
 [<ffffffff8172e33c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b03c0>] ? kthread_create_on_node+0x190/0x190

Comment 27 frank.schletz 2015-01-17 10:18:50 UTC
Description of problem:
Send laptop to "Hibernate"
Wake Laptop from Hibernate
After a few seconds, this error happend permanently

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.8-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks.uuid=luks-eb6b091f-fa4a-4542-98de-90c540a9dddd vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=de LANG=en_US.UTF-8
kernel:         3.17.8-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 14221 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: ipt_MASQUERADE xt_CHECKSUM rfcomm ccm ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock vmw_vmci nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep tun hp_accel lis3lv02d btusb bluetooth intel_rapl x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_realtek snd_hda_codec_generic arc4 iwldvm mac80211 kvm snd_hda_intel iTCO_wdt iTCO_vendor_support crct10dif_pclmul snd_hda_controller snd_hda_codec
snd_hwdep thinkpad_acpi snd_seq snd_seq_device snd_pcm sdhci_pci sdhci mmc_core snd_timer microcode serio_raw iwlwifi cfg80211 snd shpchp wmi i2c_i801 mei_me lpc_ich mei tpm_tis tpm soundcore rfkill mfd_core joydev binfmt_misc dm_crypt crc32_pclmul
crc32c_intel
i915 i2c_algo_bit firewire_ohci ghash_clmulni_intel e1000e drm_kms_helper firewire_core ptp crc_itu_t pps_core
Restarting tasks ... 
drm
video input_polldev analog gameport
CPU: 2 PID: 14221 Comm: kworker/u17:0 Not tainted 3.17.8-200.fc20.x86_64 #1
Hardware name: LENOVO 2394EN6/2394EN6, BIOS G4ET96WW (2.56 ) 09/12/2013
Workqueue: hci0 hci_power_on [bluetooth]
0000000000000000 00000000094e1c3a ffff88001bf03be8 ffffffff81728f6c
0000000000000000 ffff88001bf03c20 ffffffff81092e7d ffff88001bf03d10
ffff8801f633b6e0 ffff8801d68c8300 ffff88001bf03d08 00000000fffffff5
Call Trace:
[<ffffffff81728f6c>] dump_stack+0x45/0x56
[<ffffffff81092e7d>] warn_slowpath_common+0x7d/0xa0
[<ffffffff81092faa>] warn_slowpath_null+0x1a/0x20
[<ffffffff81496291>] _request_firmware+0x4c1/0x7c0
[<ffffffff8137b8e9>] ? snprintf+0x49/0x70
[<ffffffff814965c1>] request_firmware+0x31/0x50
[<ffffffffa0413bf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
[<ffffffff8148e9b6>] ? rpm_idle+0xd6/0x2b0
[<ffffffffa052f051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
[<ffffffff810bad0d>] ? ttwu_do_activate.constprop.90+0x5d/0x70
[<ffffffffa05301c0>] hci_power_on+0x40/0x1e0 [bluetooth]
[<ffffffff810f36cb>] ? lock_timer_base.isra.34+0x2b/0x50
[<ffffffff810aadc9>] process_one_work+0x149/0x3d0
[<ffffffff810ab44b>] worker_thread+0x11b/0x490
[<ffffffff810ab330>] ? rescuer_thread+0x2e0/0x2e0
[<ffffffff810b04b8>] kthread+0xd8/0xf0
[<ffffffff810b03e0>] ? kthread_create_on_node+0x190/0x190
[<ffffffff8173057c>] ret_from_fork+0x7c/0xb0
[<ffffffff810b03e0>] ? kthread_create_on_node+0x190/0x190

Comment 28 Aleksandar Kostadinov 2015-01-21 18:33:35 UTC
Description of problem:
I

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.8-300.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.lvm.lv=fedora/root rd.luks.uuid=luks-ba8a424d-74ca-4329-b3ef-664737f69689 rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.8-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 3249 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: kvm_intel btrfs xor raid6_pq ufs hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c nls_utf8 isofs qmi_wwan uas usb_storage cdc_wdm vhost_net vhost macvtap macvlan ccm rfcomm btusb ppp_deflate bsd_comp ppp_async crc_ccitt ppp_generic slhc bnep bluetooth fuse xt_CHECKSUM ipt_MASQUERADE tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi v4l2_common arc4 snd_hda_codec_realtek
 snd_hda_codec_generic intel_rapl videodev x86_pkg_temp_thermal iwldvm coretemp snd_hda_intel rndis_wlan snd_hda_controller media mac80211 snd_hda_codec snd_hwdep cdc_acm kvm snd_seq snd_seq_device iwlwifi snd_pcm joydev sdhci_pci cfg80211 serio_raw sdhci mmc_core thinkpad_acpi tpm_tis wmi tpm snd_timer snd rfkill shpchp soundcore lpc_ich i2c_i801 mei_me mei mfd_core nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit ghash_clmulni_intel drm_kms_helper drm e1000e ptp pps_core video rndis_host cdc_ether usbnet mii [last unloaded: kvm_intel]
CPU: 2 PID: 3249 Comm: kworker/u17:0 Not tainted 3.17.8-300.fc21.x86_64 #1
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET37WW (1.12 ) 05/29/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000046047cbf ffff88008cdafbf0 ffffffff81741aea
 0000000000000000 ffff88008cdafc28 ffffffff810970bd ffff88008cdafd18
 00000000fffffff5 ffff88007ecad4e0 0000000000000220 ffff8802f30ce400
Call Trace:
 [<ffffffff81741aea>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ab3e9>] _request_firmware+0x519/0x7f0
 [<ffffffff8138e999>] ? snprintf+0x49/0x60
 [<ffffffff814ab6f1>] request_firmware+0x31/0x50
 [<ffffffffa087bc53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a4096>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa07ee241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25e3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa07ef3a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f938b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b531a>] kthread+0xea/0x100
 [<ffffffff810b5230>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81748bfc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5230>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 29 bruiserker 2015-01-25 00:44:54 UTC
Description of problem:
Update from Fedora 20 to Fedora 21 using fedup

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.8-300.fc21.x86_64 root=/dev/mapper/fedora_edtest-root ro rd.lvm.lv=fedora_edtest/root vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_edtest/swap rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.3-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 5309 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iwldvm mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev x86_pkg_temp_thermal coretemp kvm snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep media iTCO_wdt iTCO_vendor_support tpm_tis joydev iwlwifi i2c_i801 btusb cfg80211 snd_seq snd_seq_device snd_pcm sdhci_pci sdhci mmc_core mei_me mei
 serio_raw bluetooth crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel thinkpad_acpi snd_timer lpc_ich mfd_core shpchp snd wmi soundcore rfkill tpm i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core video
CPU: 1 PID: 5309 Comm: kworker/u17:0 Not tainted 3.17.3-200.fc20.x86_64 #1
Hardware name: LENOVO 232032U/232032U, BIOS G2ET32WW (1.12 ) 05/30/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000047f6edf8 ffff8800cbbefbe8 ffffffff81728acc
 0000000000000000 ffff8800cbbefc20 ffffffff81094e6d ffff8800cbbefd10
 ffff880200ff50c0 ffff880212b48980 ffff8800cbbefd08 00000000fffffff5
Call Trace:
 [<ffffffff81728acc>] dump_stack+0x45/0x56
 [<ffffffff81094e6d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81094f9a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff81497961>] _request_firmware+0x4c1/0x7c0
 [<ffffffff8137cf29>] ? snprintf+0x49/0x70
 [<ffffffff81497c91>] request_firmware+0x31/0x50
 [<ffffffffa0303bf3>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff81490086>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa023f051>] hci_dev_do_open+0xe1/0xa60 [bluetooth]
 [<ffffffff810bccbd>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa02401c0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f569b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810acdb9>] process_one_work+0x149/0x3d0
 [<ffffffff810ad43b>] worker_thread+0x11b/0x490
 [<ffffffff810ad320>] ? rescuer_thread+0x2e0/0x2e0
 [<ffffffff810b2498>] kthread+0xd8/0xf0
 [<ffffffff810b23c0>] ? kthread_create_on_node+0x190/0x190
 [<ffffffff817300fc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b23c0>] ? kthread_create_on_node+0x190/0x190

Comment 30 shian 2015-01-31 05:27:59 UTC
Description of problem:
pm-suspend and wake up  , my Thinkpad T430 with nvs 5400m

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.4-301.fc21.x86_64 root=UUID=87db4939-f8e3-4838-a97c-8316a3602fc8 ro rhgb quiet vga=0x37f
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 2022 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep x86_pkg_temp_thermal coretemp kvm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev arc4 media btusb crct10dif_pclmul crc32_pclmul crc32c_intel iwldvm ghash_clmulni_intel bluetooth mac80211 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device iTCO_wdt iTCO_vendor_support joydev serio_raw iwlwifi snd_pcm thinkpad_acpi
 sdhci_pci sdhci mmc_core snd_timer i2c_i801 snd mei_me mei soundcore cfg80211 rfkill shpchp tpm_tis tpm lpc_ich mfd_core nfsd auth_rpcgss nfs_acl lockd sunrpc xfs libcrc32c nouveau i915 mxm_wmi ttm e1000e i2c_algo_bit drm_kms_helper ptp drm pps_core wmi video
CPU: 3 PID: 2022 Comm: kworker/u17:0 Not tainted 3.17.4-301.fc21.x86_64 #1
Hardware name: LENOVO 2347A39/2347A39, BIOS G1ET41WW (1.16 ) 05/25/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000e240bdde ffff880094b97bf0 ffffffff8173f929
 0000000000000000 ffff880094b97c28 ffffffff810970ad ffff880094b97d18
 00000000fffffff5 ffff8800ab207700 0000000000000220 ffff8800972def00
Call Trace:
 [<ffffffff8173f929>] dump_stack+0x45/0x56
 [<ffffffff810970ad>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971da>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa879>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dec9>] ? snprintf+0x49/0x60
 [<ffffffff814aab81>] request_firmware+0x31/0x50
 [<ffffffffa07aec53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a3526>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa07c0241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25a3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa07c13a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f934b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af88d>] process_one_work+0x14d/0x400
 [<ffffffff810b021b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01b0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b52fa>] kthread+0xea/0x100
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81746a3c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 31 Eric Blake 2015-02-05 19:31:21 UTC
This bug report appears to be fairly reproducible for me: when I undock my Lenovo T530 from its docking station, the laptop suspends itself, and on waking it back up, I get an ABRT notification that links back to this bug. I remember older kernels would let me undock without instant suspension, and I really don't like the current behavior (as suspending forces me to reconnect to wi-fi and VPN, when all I wanted to do was leave my docking station and go mobile for a bit).

Comment 32 Pierguido Lambri 2015-02-07 11:27:42 UTC
Description of problem:
Resumed from suspended

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.1-302.fc21.x86_64 root=/dev/mapper/luks-5b5b812e-1b30-45e4-9260-c320e24cd9dc ro rd.lvm.lv=fedora/swap rd.luks.uuid=luks-fdf3a1ec-3677-4587-b20b-9eb88baa9699 rd.luks.uuid=luks-5b5b812e-1b30-45e4-9260-c320e24cd9dc rd.lvm.lv=fedora/root rd.luks.uuid=luks-b710391a-c27e-4392-bb00-13caf26f6ca6 rhgb quiet LANG=en_GB.UTF-8
kernel:         3.17.1-302.fc21.x86_64
runlevel:       N 3
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 2823 at drivers/base/firmware_class.c:1124 _request_firmware+0x55e/0x7e0()
Modules linked in: rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd sunrpc fscache bridge stp llc xfs libcrc32c x86_pkg_temp_thermal coretemp snd_hda_codec_hdmi kvm_intel kvm arc4 snd_hda_codec_realtek snd_hda_codec_generic uvcvideo videobuf2_vmalloc videobuf2_memops iwldvm mac80211 snd_hda_intel snd_hda_controller snd_hda_codec iTCO_wdt videobuf2_core btusb iTCO_vendor_support bluetooth v4l2_common videodev sdhci_pci sdhci snd_hwdep snd_pcm media mmc_core thinkpad_acpi joydev serio_raw i2c_i801 tpm_tis tpm lpc_ich snd_timer snd soundcore iwlwifi cfg80211 rfkill mei_me mei shpchp wmi mfd_core dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit ghash_clmulni_intel drm_kms_helper e1000e drm ptp pps_core video [last unloaded: iptable_raw]
CPU: 2 PID: 2823 Comm: kworker/u17:0 Not tainted 3.17.1-302.fc21.x86_64 #1
Hardware name: LENOVO 2356BH1/2356BH1, BIOS G7ET95WW (2.55 ) 07/10/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000b8835ab2 ffff88021b5e7bf0 ffffffff8173dbb1
 0000000000000000 ffff88021b5e7c28 ffffffff81096e8d ffff88021b5e7d18
 00000000fffffff5 ffff88021b50b360 0000000000000220 ffff880232f60c00
Call Trace:
 [<ffffffff8173dbb1>] dump_stack+0x45/0x56
 [<ffffffff81096e8d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81096fba>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814a91be>] _request_firmware+0x55e/0x7e0
 [<ffffffff8138c789>] ? snprintf+0x49/0x60
 [<ffffffff814a9471>] request_firmware+0x31/0x50
 [<ffffffffa0410c43>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a1e36>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa03a7241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c2383>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa03a83a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f900b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af66d>] process_one_work+0x14d/0x400
 [<ffffffff810afffb>] worker_thread+0x6b/0x4a0
 [<ffffffff810aff90>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b50da>] kthread+0xea/0x100
 [<ffffffff810b4ff0>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81744c7c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b4ff0>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 33 Mihai Harpau 2015-02-08 13:46:26 UTC
Description of problem:
It happens each time when laptop resume following a suspend action. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.8-300.fc21.x86_64 root=/dev/mapper/sysop-root ro rd.lvm.lv=sysop/swap rd.lvm.lv=sysop/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.8-300.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 19386 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl x86_pkg_temp_thermal coretemp snd_hda_codec_hdmi kvm_intel snd_hda_codec_realtek kvm snd_hda_codec_generic arc4 snd_hda_intel iwldvm iTCO_wdt iTCO_vendor_support btusb uvcvideo crct10dif_pclmul snd_hda_controller crc32_pclmul mac80211 snd_hda_codec crc32c_intel bluetooth snd_hwdep videobuf2_vmalloc videobuf2_memops ghash_clmulni_intel videobuf2_core
 v4l2_common videodev snd_seq iwlwifi uas media usb_storage snd_seq_device cfg80211 sdhci_pci serio_raw sdhci mmc_core thinkpad_acpi tpm_tis snd_pcm tpm wmi rfkill snd_timer mei_me i2c_i801 snd mei lpc_ich mfd_core shpchp soundcore nfsd auth_rpcgss nfs_acl lockd sunrpc xfs libcrc32c i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core video
CPU: 2 PID: 19386 Comm: kworker/u17:0 Not tainted 3.17.8-300.fc21.x86_64 #1
Hardware name: LENOVO 2347B46/2347B46, BIOS G1ETA7WW (2.67 ) 12/08/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000d2780bda ffff88007653fbf0 ffffffff81741aea
 0000000000000000 ffff88007653fc28 ffffffff810970bd ffff88007653fd18
 00000000fffffff5 ffff8800c964d6e0 0000000000000220 ffff880085f7e900
Call Trace:
 [<ffffffff81741aea>] dump_stack+0x45/0x56
 [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ab3e9>] _request_firmware+0x519/0x7f0
 [<ffffffff8138e999>] ? snprintf+0x49/0x60
 [<ffffffff814ab6f1>] request_firmware+0x31/0x50
 [<ffffffffa059cc53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a4096>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa05b1241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25e3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa05b23a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f938b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af89d>] process_one_work+0x14d/0x400
 [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b531a>] kthread+0xea/0x100
 [<ffffffff810b5230>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81748bfc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5230>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 34 Benjamin Masse 2015-02-11 17:34:41 UTC
Description of problem:
Woke laptop from sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.6-200.fc21.x86_64 root=/dev/mapper/luks-fdfe95c8-7fc3-4b85-9012-e30e1a247c8e ro vconsole.font=Lat2-Terminus16 rd.lvm.lv=fedora_bmasse/root rd.luks.uuid=luks-3da5eea2-3176-44cc-a834-177834a0a88d rd.luks.uuid=luks-fdfe95c8-7fc3-4b85-9012-e30e1a247c8e rd.lvm.lv=fedora_bmasse/swap rhgb quiet LANG=fr_FR.UTF-8
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 4342 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: rfcomm fuse bnep btusb bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw binfmt_misc ipheth intel_rapl x86_pkg_temp_thermal coretemp uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops snd_hda_codec_hdmi kvm_intel snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel v4l2_common kvm snd_hda_controller iTCO_wdt iTCO_vendor_support videodev media snd_hda_codec snd_hwdep snd_seq snd_seq_device
 sdhci_pci arc4 iwldvm mac80211 sdhci snd_pcm iwlwifi thinkpad_acpi serio_raw cfg80211 lpc_ich mfd_core i2c_i801 snd_timer tpm_tis mmc_core tpm snd mei_me wmi mei soundcore shpchp rfkill nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel e1000e i2c_algo_bit drm_kms_helper drm ghash_clmulni_intel ptp pps_core video
CPU: 1 PID: 4342 Comm: kworker/u17:0 Not tainted 3.18.6-200.fc21.x86_64 #1
Hardware name: LENOVO 2356BH1/2356BH1, BIOS G7ETA1WW (2.61 ) 09/01/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000085dd39d0 ffff880175457b88 ffffffff8175e486
 0000000000000000 0000000000000000 ffff880175457bc8 ffffffff810991b1
 0000000000000000 ffff880175457ce0 00000000fffffff5 ffff8800368651c0
Call Trace:
 [<ffffffff8175e486>] dump_stack+0x46/0x58
 [<ffffffff810991b1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ca>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bcc19>] _request_firmware+0x519/0x7f0
 [<ffffffff814bcf25>] request_firmware+0x35/0x50
 [<ffffffffa0831736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b54c6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa07ab571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56ab>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa07ac6f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b243d>] process_one_work+0x14d/0x400
 [<ffffffff810b2dcb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d60>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b7ffa>] kthread+0xea/0x100
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176513c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 35 John 2015-02-11 21:35:58 UTC
Description of problem:
Opened up my laptop after it had suspended and got the message. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.5-201.fc21.x86_64 root=UUID=18efc5cb-de06-4be1-a6a7-2eb6048da292 ro vconsole.font=latarcyrheb-sun16 rhgb LANG=en_US.UTF-8 debug
kernel:         3.18.5-201.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 2501 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: vfat fat binfmt_misc ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security bnep iptable_raw intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel arc4 iwldvm mac80211 uvcvideo videobuf2_vmalloc ghash_clmulni_intel snd_hda_codec_realtek iwlwifi cfg80211 videobuf2_core videobuf2_memops snd_hda_codec_generic v4l2_common snd_hda_intel mmc_block snd_hda_controller iTCO_wdt snd_hda_codec iTCO_vendor_support snd_hwdep snd_seq
 videodev btusb sdhci_pci sdhci mmc_core bluetooth joydev snd_seq_device lpc_ich media serio_raw thinkpad_acpi mei_me snd_pcm rfkill mfd_core mei i2c_i801 snd_timer tpm_tis snd soundcore shpchp tpm nouveau i915 firewire_ohci mxm_wmi ttm i2c_algo_bit e1000e drm_kms_helper firewire_core drm ptp crc_itu_t pps_core video wmi
CPU: 1 PID: 2501 Comm: kworker/u17:0 Not tainted 3.18.5-201.fc21.x86_64 #1
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ETA2WW (2.62 ) 08/21/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000f5a0c5ff ffff880083067b88 ffffffff8175e196
 0000000000000000 0000000000000000 ffff880083067bc8 ffffffff810991a1
 0000000000000000 ffff880083067ce0 00000000fffffff5 ffff880083004f60
Call Trace:
 [<ffffffff8175e196>] dump_stack+0x46/0x58
 [<ffffffff810991a1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ba>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bc929>] _request_firmware+0x519/0x7f0
 [<ffffffff814bcc35>] request_firmware+0x35/0x50
 [<ffffffffa04cd736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b51d6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0422571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c569b>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa04236f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b242d>] process_one_work+0x14d/0x400
 [<ffffffff810b2dbb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d50>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b7fea>] kthread+0xea/0x100
 [<ffffffff810b7f00>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81764e3c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f00>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 36 John 2015-02-14 22:44:41 UTC
Description of problem:
tried to test suspend by closing the lid while connected to power with a fully charged battery. 

When I opened the lid, the computer came out of suspend and after logging on, the abrt icon was in the bar. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.6-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 2746 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: vfat fat fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_codec_realtek crct10dif_pclmul snd_hda_codec_generic crc32_pclmul crc32c_intel snd_hda_intel snd_hda_controller snd_hda_codec iTCO_wdt iTCO_vendor_support mmc_block arc4 iwldvm mac80211 btusb bluetooth uvcvideo sdhci_pci videobuf2_vmalloc videobuf2_core sdhci ghash_clmulni_intel snd_hwdep snd_seq snd_seq_device joydev videobuf2_memops
 iwlwifi v4l2_common mmc_core videodev cfg80211 snd_pcm lpc_ich serio_raw media mfd_core snd_timer shpchp i2c_i801 mei_me mei tpm_tis thinkpad_acpi snd soundcore rfkill tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc nouveau i915 mxm_wmi ttm firewire_ohci i2c_algo_bit drm_kms_helper firewire_core e1000e crc_itu_t drm uas usb_storage ptp pps_core wmi video
CPU: 2 PID: 2746 Comm: kworker/u17:0 Not tainted 3.18.6-200.fc21.x86_64 #1
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ETA2WW (2.62 ) 08/21/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000dbcf767c ffff8803066cfb88 ffffffff8175e486
 0000000000000000 0000000000000000 ffff8803066cfbc8 ffffffff810991b1
 0000000000000000 ffff8803066cfce0 00000000fffffff5 ffff880329be56c0
Call Trace:
 [<ffffffff8175e486>] dump_stack+0x46/0x58
 [<ffffffff810991b1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ca>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bcc19>] _request_firmware+0x519/0x7f0
 [<ffffffff814bcf25>] request_firmware+0x35/0x50
 [<ffffffffa06d6736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b54c6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0650571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56ab>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa06516f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b243d>] process_one_work+0x14d/0x400
 [<ffffffff810b2dcb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d60>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b7ffa>] kthread+0xea/0x100
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176513c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 37 Daniel Vacek 2015-02-17 07:25:46 UTC
Description of problem:
regular init (boot) or just wake from sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.5-101.fc20.x86_64+debug root=/dev/mapper/slurm1-root ro rd.luks.uuid=luks-515e719a-ed10-489e-83f2-6440b2a8a0c8 rd.lvm.lv=slurm1/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=slurm1/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.5-101.fc20.x86_64+debug
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 3561 at drivers/base/firmware_class.c:1127 _request_firmware+0x501/0x810()
Modules linked in: rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables bnep iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl snd_hda_codec_hdmi x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic arc4 iwldvm snd_hda_intel snd_hda_controller snd_hda_codec btusb bluetooth mac80211 snd_hwdep snd_seq snd_seq_device sdhci_pci snd_pcm e1000e tpm_tis microcode iTCO_wdt iTCO_vendor_support sdhci uvcvideo mmc_core videobuf2_vmalloc videobuf2_core snd_timer wmi thinkpad_acpi joydev serio_raw videobuf2_memops snd i2c_i801 mei_me mei lpc_ich nfsd iwlwifi auth_rpcgss cfg80211 nfs_acl lockd grace tpm ptp sunrpc shpchp pps_core v4l2_common videodev media soundcore rfkill mfd_core binfmt_misc dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel i915 i2c_algo_bit drm_kms_helper drm video
CPU: 3 PID: 3561 Comm: kworker/u17:0 Not tainted 3.18.5-101.fc20.x86_64+debug #1
Hardware name: LENOVO 2325F51/2325F51, BIOS G2ET82WW (2.02 ) 09/11/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000fe73606b ffff8802113efab8 ffffffff81844700
 0000000000000000 0000000000000000 ffff8802113efaf8 ffffffff810a76f1
 0000000000000000 ffff8802113efc10 ffff88020eca60c0 ffff8802101390c0
Call Trace:
 [<ffffffff81844700>] dump_stack+0x4e/0x68
 [<ffffffff810a76f1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810a780a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8155d201>] _request_firmware+0x501/0x810
 [<ffffffff8155d545>] request_firmware+0x35/0x50
 [<ffffffffa04b5746>] btusb_setup_bcm_patchram+0x86/0x580 [btusb]
 [<ffffffff81104efd>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffffa06de267>] hci_dev_do_open+0xe7/0xaa0 [bluetooth]
 [<ffffffffa06df470>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810c80ad>] process_one_work+0x20d/0x830
 [<ffffffff810c8017>] ? process_one_work+0x177/0x830
 [<ffffffff810c87eb>] worker_thread+0x11b/0x450
 [<ffffffff810c86d0>] ? process_one_work+0x830/0x830
 [<ffffffff810ce999>] kthread+0xf9/0x110
 [<ffffffff810e4ca5>] ? local_clock+0x25/0x30
 [<ffffffff810ce8a0>] ? kthread_create_on_node+0x250/0x250
 [<ffffffff8184f07c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810ce8a0>] ? kthread_create_on_node+0x250/0x250

Comment 38 Guenther Deschner 2015-02-20 08:12:51 UTC
Description of problem:
login into standard f21 kde desktop, suspend laptop, power on again, login, crash displayed.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.6-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=de_DE.UTF-8
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 27353 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: tun uas usb_storage fuse rfcomm ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep dm_crypt intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm arc4 crct10dif_pclmul crc32_pclmul iwldvm crc32c_intel mac80211 ghash_clmulni_intel snd_hda_codec_hdmi btusb snd_hda_codec_realtek bluetooth snd_hda_codec_generic uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev iwlwifi
 snd_hda_intel iTCO_wdt snd_hda_controller media iTCO_vendor_support snd_hda_codec serio_raw snd_hwdep cfg80211 snd_seq sdhci_pci snd_seq_device sdhci snd_pcm thinkpad_acpi mmc_core wmi rfkill mei_me mei tpm_tis lpc_ich tpm mfd_core snd_timer i2c_i801 snd soundcore shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 e1000e i2c_algo_bit drm_kms_helper ptp drm pps_core video
CPU: 3 PID: 27353 Comm: kworker/u17:0 Not tainted 3.18.6-200.fc21.x86_64 #1
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET92WW (2.52 ) 02/01/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000f000c273 ffff88005e96bb88 ffffffff8175e486
 0000000000000000 0000000000000000 ffff88005e96bbc8 ffffffff810991b1
 0000000000000000 ffff88005e96bce0 00000000fffffff5 ffff8803e5937340
Call Trace:
 [<ffffffff8175e486>] dump_stack+0x46/0x58
 [<ffffffff810991b1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ca>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bcc19>] _request_firmware+0x519/0x7f0
 [<ffffffff814bcf25>] request_firmware+0x35/0x50
 [<ffffffffa0580736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b54c6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa04e5571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56ab>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa04e66f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b243d>] process_one_work+0x14d/0x400
 [<ffffffff810b2dcb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d60>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b7ffa>] kthread+0xea/0x100
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176513c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 39 Mikhail Kulemin 2015-02-22 21:49:04 UTC
Description of problem:
Reproduces by exex systemctl hybrid-sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.7-200.fc21.x86_64 root=UUID=ec0affc7-e387-4b74-8dfa-53d2b1595154 ro rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 3540 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep dm_crypt intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm arc4 snd_hda_codec_hdmi iwldvm crct10dif_pclmul snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_codec_generic mac80211 crc32_pclmul crc32c_intel snd_hda_intel snd_hda_controller snd_hda_codec ghash_clmulni_intel iwlwifi snd_hwdep snd_seq uvcvideo cfg80211 snd_seq_device joydev serio_raw videobuf2_vmalloc videobuf2_core
 snd_pcm btusb videobuf2_memops v4l2_common bluetooth videodev lpc_ich mfd_core i2c_i801 sdhci_pci sdhci mmc_core mei_me thinkpad_acpi shpchp snd_timer media mei snd wmi soundcore rfkill tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper e1000e drm uas ptp pps_core usb_storage video
CPU: 0 PID: 3540 Comm: kworker/u17:0 Not tainted 3.18.7-200.fc21.x86_64 #1
Hardware name: LENOVO 2320ENG/2320ENG, BIOS G2ETA3WW (2.63 ) 02/05/2015
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 000000009a0293bb ffff88020262fb88 ffffffff8175e686
 0000000000000000 0000000000000000 ffff88020262fbc8 ffffffff810991d1
 0000000000000000 ffff88020262fce0 00000000fffffff5 ffff88020c15a240
Call Trace:
 [<ffffffff8175e686>] dump_stack+0x46/0x58
 [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bce69>] _request_firmware+0x519/0x7f0
 [<ffffffff814bd175>] request_firmware+0x35/0x50
 [<ffffffffa0395736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b5716>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa03a8571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56cb>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa03a96f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b245d>] process_one_work+0x14d/0x400
 [<ffffffff810b2deb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d80>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b801a>] kthread+0xea/0x100
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176537c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 40 Aleksandar Kostadinov 2015-02-25 08:23:46 UTC
Description of problem:
I'm not sure but possibly suspending/resuming caused the issue when laptop was undocked or docked while sleeping.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.6-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.lvm.lv=fedora/root rd.luks.uuid=luks-ba8a424d-74ca-4329-b3ef-664737f69689 rhgb quiet kvm-intel.nested=1 LANG=en_US.UTF-8
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 18361 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: rfcomm btusb qmi_wwan cdc_wdm nls_utf8 udf crc_itu_t vhost_net vhost macvtap macvlan vfat fat uas usb_storage rndis_wlan rndis_host cdc_ether usbnet cdc_acm mii bnep bluetooth fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops intel_rapl v4l2_common videodev x86_pkg_temp_thermal arc4 media coretemp snd_hda_codec_hdmi iTCO_wdt snd_hda_codec_realtek
 kvm_intel iwldvm iTCO_vendor_support snd_hda_codec_generic kvm mac80211 snd_hda_intel snd_hda_controller snd_hda_codec iwlwifi snd_hwdep joydev snd_seq cfg80211 sdhci_pci sdhci serio_raw snd_seq_device mmc_core snd_pcm i2c_i801 thinkpad_acpi wmi tpm_tis tpm snd_timer rfkill snd mei_me soundcore mei lpc_ich shpchp mfd_core nfsd auth_rpcgss nfs_acl lockd grace binfmt_misc sunrpc dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper drm e1000e ghash_clmulni_intel ptp pps_core video
CPU: 1 PID: 18361 Comm: kworker/u17:0 Not tainted 3.18.6-200.fc21.x86_64 #1
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET37WW (1.12 ) 05/29/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000442e9934 ffff88003a5c7b88 ffffffff8175e486
 0000000000000000 0000000000000000 ffff88003a5c7bc8 ffffffff810991b1
 0000000000000000 ffff88003a5c7ce0 00000000fffffff5 ffff880341fa0c20
Call Trace:
 [<ffffffff8175e486>] dump_stack+0x46/0x58
 [<ffffffff810991b1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ca>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bcc19>] _request_firmware+0x519/0x7f0
 [<ffffffff814bcf25>] request_firmware+0x35/0x50
 [<ffffffffa08f5736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b54c6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa07c9571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56ab>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa07ca6f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b243d>] process_one_work+0x14d/0x400
 [<ffffffff810b2dcb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d60>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b7ffa>] kthread+0xea/0x100
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176513c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 41 Jaroslav Reznik 2015-03-03 16:14:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 42 Joe Doss 2015-03-10 23:24:42 UTC
Description of problem:
Woke from Sleep.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.4.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.0-0.rc2.git0.1.fc22.x86_64 root=/dev/mapper/vg_fsx-lv_root ro rd.lvm.lv=vg_fsx/lv_swap rd.md=0 rd.dm=0 rd.lvm.lv=vg_fsx/lv_root KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb
kernel:         4.0.0-0.rc2.git0.1.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 3904 at drivers/base/firmware_class.c:1114 _request_firmware+0x5b0/0x840()
Modules linked in: rfcomm fuse bnx2fc cnic uio fcoe libfcoe libfc scsi_transport_fc ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack bnep ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl snd_hda_codec_hdmi iosf_mbi arc4 snd_hda_codec_realtek uvcvideo snd_hda_codec_generic x86_pkg_temp_thermal iwldvm coretemp snd_hda_intel videobuf2_vmalloc btusb mac80211 videobuf2_core iTCO_wdt kvm_intel iTCO_vendor_support snd_hda_controller videobuf2_memops bluetooth v4l2_common
 videodev snd_hda_codec kvm media iwlwifi snd_hwdep snd_seq cfg80211 snd_seq_device serio_raw thinkpad_acpi snd_pcm i2c_i801 wmi snd_timer rfkill tpm_tis snd mei_me lpc_ich mei shpchp soundcore mfd_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt 8021q garp stp llc mrp i915 crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper drm sdhci_pci sdhci e1000e ghash_clmulni_intel mmc_core ptp pps_core video ecryptfs encrypted_keys trusted tpm
CPU: 2 PID: 3904 Comm: kworker/u17:0 Not tainted 4.0.0-0.rc2.git0.1.fc22.x86_64 #1
Hardware name: LENOVO 2320HNU/2320HNU, BIOS G2ET99WW (2.59 ) 12/04/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000041de5d9b ffff88040ab03b78 ffffffff81780388
 0000000000000000 0000000000000000 ffff88040ab03bb8 ffffffff8109c83a
 0000000000000000 ffff88040ab03cd0 00000000fffffff5 ffff8800ca283ae0
Call Trace:
 [<ffffffff81780388>] dump_stack+0x45/0x57
 [<ffffffff8109c83a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c96a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ea960>] _request_firmware+0x5b0/0x840
 [<ffffffff814eac25>] request_firmware+0x35/0x50
 [<ffffffffa064e479>] btusb_setup_bcm_patchram+0x89/0x570 [btusb]
 [<ffffffff814e25e6>] ? rpm_idle+0x96/0x220
 [<ffffffffa05ca3c1>] hci_dev_do_open+0xe1/0x580 [bluetooth]
 [<ffffffff810c659d>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa05cb860>] hci_power_on+0x40/0x200 [bluetooth]
 [<ffffffff810b547b>] process_one_work+0x1bb/0x410
 [<ffffffff810b5723>] worker_thread+0x53/0x470
 [<ffffffff810b56d0>] ? process_one_work+0x410/0x410
 [<ffffffff810bb658>] kthread+0xd8/0xf0
 [<ffffffff810bb580>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817866fc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810bb580>] ? kthread_worker_fn+0x180/0x180

Comment 43 shian 2015-03-11 04:45:26 UTC
Description of problem:
pm-suspend and wake up ...... Problems remain in 3.18.8 (Thinkpad T430)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.8-201.fc21.x86_64 root=UUID=87db4939-f8e3-4838-a97c-8316a3602fc8 ro rhgb quiet vga=0x37f LANG=zh_CN.UTF-8
kernel:         3.18.8-201.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2071 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep btusb uvcvideo bluetooth videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev intel_rapl x86_pkg_temp_thermal media coretemp arc4 iwldvm mac80211 kvm_intel kvm iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller crct10dif_pclmul joydev crc32_pclmul sdhci_pci crc32c_intel sdhci iwlwifi serio_raw snd_hda_codec cfg80211 snd_hwdep
 ghash_clmulni_intel snd_seq tpm_tis tpm snd_seq_device mmc_core thinkpad_acpi snd_pcm wmi mei_me snd_timer snd soundcore lpc_ich shpchp mei rfkill mfd_core i2c_i801 nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c i915 e1000e i2c_algo_bit drm_kms_helper drm ptp pps_core video
CPU: 0 PID: 2071 Comm: kworker/u17:0 Not tainted 3.18.8-201.fc21.x86_64 #1
Hardware name: LENOVO 2347A39/2347A39, BIOS G1ETA7WW (2.67 ) 12/08/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000a5de24d2 ffff8800be1bfb88 ffffffff8175b3fc
 0000000000000000 0000000000000000 ffff8800be1bfbc8 ffffffff81098e91
 0000000000000000 ffff8800be1bfce0 00000000fffffff5 ffff8800af1752c0
Call Trace:
 [<ffffffff8175b3fc>] dump_stack+0x46/0x58
 [<ffffffff81098e91>] warn_slowpath_common+0x81/0xa0
 [<ffffffff81098faa>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814baa89>] _request_firmware+0x519/0x7f0
 [<ffffffff814bad95>] request_firmware+0x35/0x50
 [<ffffffffa07c6736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b2d36>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa075b4d1>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffffa075c650>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b1a4d>] process_one_work+0x14d/0x3f0
 [<ffffffff810b23a3>] worker_thread+0x53/0x470
 [<ffffffff810b2350>] ? rescuer_thread+0x290/0x290
 [<ffffffff810b7598>] kthread+0xd8/0xf0
 [<ffffffff810b74c0>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81761d7c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b74c0>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 44 Nikita 2015-03-11 21:30:06 UTC
Description of problem:
It's appeared each time at wake up the system after suspend to RAM

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.7-200.fc21.x86_64 root=UUID=92a0fd53-d111-41d9-9211-b543b8d87830 ro vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 28092 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: rfcomm tun rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache nf_conntrack_netbios_ns nf_conntrack_broadcast ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_hdmi arc4 iTCO_wdt snd_hda_codec_realtek iTCO_vendor_support snd_hda_codec_generic vfat fat iwldvm intel_rapl snd_hda_intel mac80211 x86_pkg_temp_thermal coretemp kvm_intel btusb uvcvideo iwlwifi kvm snd_hda_controller bluetooth snd_hda_codec videobuf2_vmalloc
 videobuf2_core snd_hwdep cfg80211 videobuf2_memops snd_seq v4l2_common videodev crct10dif_pclmul crc32_pclmul snd_seq_device crc32c_intel sdhci_pci sdhci ghash_clmulni_intel snd_pcm mmc_core mei_me joydev media mei serio_raw thinkpad_acpi i2c_i801 snd_timer snd shpchp lpc_ich mfd_core soundcore rfkill wmi tpm_tis tpm intel_rst binfmt_misc i915 i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core video
CPU: 1 PID: 28092 Comm: kworker/u17:0 Not tainted 3.18.7-200.fc21.x86_64 #1
Hardware name: LENOVO 2324KU9/2324KU9, BIOS G2ETA2WW (2.62 ) 09/12/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000de286022 ffff8802118fbb88 ffffffff8175e686
 0000000000000000 0000000000000000 ffff8802118fbbc8 ffffffff810991d1
 0000000000000000 ffff8802118fbce0 00000000fffffff5 ffff8801ddbd8960
Call Trace:
 [<ffffffff8175e686>] dump_stack+0x46/0x58
 [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bce69>] _request_firmware+0x519/0x7f0
 [<ffffffff814bd175>] request_firmware+0x35/0x50
 [<ffffffffa03e8736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b5716>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa03fd571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56cb>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa03fe6f0>] hci_power_on+0x40/0x1e0 [bluetooth]
ACPI: \_SB_.PCI0.LPC_.EC__.BAT1: docking
PM: Finishing wakeup.
Restarting tasks ... 
 [<ffffffff810b245d>] process_one_work+0x14d/0x400
 [<ffffffff810b2deb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d80>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b801a>] kthread+0xea/0x100
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176537c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 45 Mihai Harpau 2015-03-14 22:29:34 UTC
Description of problem:
It comes on each resume from suspend sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.6-200.fc21.x86_64 root=/dev/mapper/sysop-root ro rd.lvm.lv=sysop/swap rd.lvm.lv=sysop/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2754 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: rfcomm fuse tun xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm arc4 iwldvm mac80211 iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_codec_hdmi iwlwifi snd_hda_codec_realtek snd_hda_codec_generic btusb bluetooth ghash_clmulni_intel uvcvideo snd_hda_intel videobuf2_vmalloc
 snd_hda_controller videobuf2_core cfg80211 sdhci_pci videobuf2_memops snd_hda_codec serio_raw v4l2_common i2c_i801 sdhci videodev snd_hwdep mmc_core snd_seq snd_seq_device media wmi thinkpad_acpi snd_pcm tpm_tis tpm rfkill snd_timer snd mei_me shpchp mei lpc_ich soundcore mfd_core nfsd auth_rpcgss nfs_acl lockd grace binfmt_misc sunrpc xfs libcrc32c i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core video
CPU: 0 PID: 2754 Comm: kworker/u17:0 Not tainted 3.18.6-200.fc21.x86_64 #1
Hardware name: LENOVO 2347B46/2347B46, BIOS G1ETA7WW (2.67 ) 12/08/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000499d6547 ffff880165693b88 ffffffff8175e486
 0000000000000000 0000000000000000 ffff880165693bc8 ffffffff810991b1
 0000000000000000 ffff880165693ce0 00000000fffffff5 ffff88005520ee00
Call Trace:
 [<ffffffff8175e486>] dump_stack+0x46/0x58
 [<ffffffff810991b1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ca>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bcc19>] _request_firmware+0x519/0x7f0
 [<ffffffff814bcf25>] request_firmware+0x35/0x50
 [<ffffffffa0585736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b54c6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa05b1571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56ab>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa05b26f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b243d>] process_one_work+0x14d/0x400
 [<ffffffff810b2dcb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d60>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b7ffa>] kthread+0xea/0x100
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176513c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f10>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 46 John 2015-03-19 02:44:06 UTC
Description of problem:
Still getting the same issue. When opening the lid after sleeping, the crash happens. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.8-201.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.8-201.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 16308 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: vfat fat fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common btusb bluetooth videodev media intel_rapl x86_pkg_temp_thermal coretemp arc4 iwldvm mac80211 kvm_intel snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller kvm crct10dif_pclmul iwlwifi snd_hda_codec snd_hwdep mmc_block crc32_pclmul crc32c_intel sdhci_pci sdhci iTCO_wdt iTCO_vendor_support
 ghash_clmulni_intel snd_seq snd_seq_device cfg80211 snd_pcm mmc_core joydev lpc_ich serio_raw i2c_i801 mfd_core mei_me tpm_tis thinkpad_acpi rfkill snd_timer snd soundcore shpchp mei tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc nouveau i915 mxm_wmi ttm firewire_ohci i2c_algo_bit e1000e drm_kms_helper drm firewire_core crc_itu_t ptp pps_core wmi video
CPU: 1 PID: 16308 Comm: kworker/u17:0 Not tainted 3.18.8-201.fc21.x86_64 #1
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ETA3WW (2.63 ) 01/21/2015
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 000000007252baf5 ffff88032a8b7b88 ffffffff8175b3fc
 0000000000000000 0000000000000000 ffff88032a8b7bc8 ffffffff81098e91
 0000000000000000 ffff88032a8b7ce0 00000000fffffff5 ffff8802f1f35f20
Call Trace:
 [<ffffffff8175b3fc>] dump_stack+0x46/0x58
 [<ffffffff81098e91>] warn_slowpath_common+0x81/0xa0
 [<ffffffff81098faa>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814baa89>] _request_firmware+0x519/0x7f0
 [<ffffffff814bad95>] request_firmware+0x35/0x50
 [<ffffffffa072d736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b2d36>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa085f4d1>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffffa0860650>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b1a4d>] process_one_work+0x14d/0x3f0
 [<ffffffff810b23a3>] worker_thread+0x53/0x470
 [<ffffffff810b2350>] ? rescuer_thread+0x290/0x290
 [<ffffffff810b7598>] kthread+0xd8/0xf0
 [<ffffffff810b74c0>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81761d7c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b74c0>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 47 mehul.sanghvi 2015-03-20 12:01:31 UTC
Description of problem:
The laptop was in Suspend mode and than was re-started by opening up the laptop lid.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.17.4-301.fc21.x86_64 root=/dev/sda1 ro rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 29300 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw nfsd auth_rpcgss nfs_acl lockd sunrpc tun ccm bridge stp llc bnep x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel arc4 iwldvm mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops sdhci_pci iwlwifi sdhci videobuf2_core mmc_core v4l2_common snd_hda_codec_hdmi videodev iTCO_wdt snd_hda_codec_realtek snd_hda_codec_generic iTCO_vendor_support serio_raw media cfg80211 btusb bluetooth
 snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep wmi snd_seq thinkpad_acpi snd_seq_device shpchp snd_pcm snd_timer mei_me mei snd rfkill soundcore i2c_i801 lpc_ich mfd_core tpm_tis tpm i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core video [last unloaded: iptable_raw]
CPU: 2 PID: 29300 Comm: kworker/u17:0 Not tainted 3.17.4-301.fc21.x86_64 #1
Hardware name: LENOVO 2349E51/2349E51, BIOS G1ET41WW (1.16 ) 05/25/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000042404c60 ffff8800cc717bf0 ffffffff8173f929
 0000000000000000 ffff8800cc717c28 ffffffff810970ad ffff8800cc717d18
 00000000fffffff5 ffff8800cafaf9c0 0000000000000220 ffff8801660d6500
Call Trace:
 [<ffffffff8173f929>] dump_stack+0x45/0x56
 [<ffffffff810970ad>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810971da>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814aa879>] _request_firmware+0x519/0x7f0
 [<ffffffff8138dec9>] ? snprintf+0x49/0x60
 [<ffffffff814aab81>] request_firmware+0x31/0x50
 [<ffffffffa027fc53>] btusb_setup_bcm_patchram+0x83/0x550 [btusb]
 [<ffffffff814a3526>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa02c9241>] hci_dev_do_open+0xe1/0xa80 [bluetooth]
 [<ffffffff810c25a3>] ? try_to_wake_up+0xf3/0x330
 [<ffffffffa02ca3a0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810f934b>] ? lock_timer_base.isra.34+0x2b/0x50
 [<ffffffff810af88d>] process_one_work+0x14d/0x400
 [<ffffffff810b021b>] worker_thread+0x6b/0x4a0
 [<ffffffff810b01b0>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b52fa>] kthread+0xea/0x100
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0
 [<ffffffff81746a3c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b5210>] ? kthread_create_on_node+0x1a0/0x1a0

Comment 48 Fedora Kernel Team 2015-03-25 12:46:56 UTC
*** Bug 1164746 has been marked as a duplicate of this bug. ***

Comment 49 David Poulsen 2015-03-30 04:45:41 UTC
Description of problem:
Installation

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.9-100.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.luks.uuid=luks-522502cf-47f7-4275-821a-85dc195aa983 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.9-100.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 4211 at drivers/base/firmware_class.c:1127 _request_firmware+0x4c1/0x7c0()
Modules linked in: nls_utf8 isofs rfcomm fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 bnep xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw option usb_wwan intel_rapl x86_pkg_temp_thermal coretemp snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep iTCO_wdt iTCO_vendor_support cdc_mbim huawei_cdc_ncm cdc_ncm usbnet snd_seq arc4 cdc_wdm iwldvm mac80211 kvm crct10dif_pclmul uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops iwlwifi v4l2_common videodev media snd_seq_device cdc_acm btusb lpc_ich mei_me bluetooth thinkpad_acpi cfg80211 snd_pcm e1000e mii microcode sdhci_pci sdhci mmc_core joydev serio_raw mfd_core snd_timer snd rfkill i2c_i801 ptp pps_core shpchp mei nfsd auth_rpcgss nfs_acl lockd soundcore grace sunrpc tpm_tis tpm dm_crypt crc32_pclmul crc32c_intel nouveau ghash_clmulni_intel i915 uas mxm_wmi usb_storage ttm firewire_ohci firewire_core i2c_algo_bit drm_kms_helper crc_itu_t drm wmi video
CPU: 3 PID: 4211 Comm: kworker/u17:0 Not tainted 3.18.9-100.fc20.x86_64 #1
Hardware name: LENOVO 24297ZG/24297ZG, BIOS G4ETA1WW (2.61 ) 05/07/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000016e7e391 ffff8800a925bb88 ffffffff81745f2b
 0000000000000000 0000000000000000 ffff8800a925bbc8 ffffffff81095061
 0000000000000000 ffff8800a925bce0 ffff880137c43cc0 ffff880126c1d680
Call Trace:
 [<ffffffff81745f2b>] dump_stack+0x46/0x58
 [<ffffffff81095061>] warn_slowpath_common+0x81/0xa0
 [<ffffffff8109517a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814a8341>] _request_firmware+0x4c1/0x7c0
 [<ffffffff814a8675>] request_firmware+0x35/0x50
Restarting tasks ... 
 [<ffffffffa05bc716>] btusb_setup_bcm_patchram+0x86/0x570 [btusb]
 [<ffffffff814a06b6>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa06033a1>] hci_dev_do_open+0xe1/0xa70 [bluetooth]
 [<ffffffffa0604540>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810ada29>] process_one_work+0x149/0x3d0
 [<ffffffff810ae0ab>] worker_thread+0x11b/0x460
 [<ffffffff810adf90>] ? rescuer_thread+0x2e0/0x2e0
usb 1-4: USB disconnect, device number 2
 [<ffffffff810b3238>] kthread+0xd8/0xf0
 [<ffffffff810b3160>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8174d2bc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b3160>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 50 Joshua Escamilla 2015-03-31 16:23:56 UTC
Description of problem:
This happens when I open my laptop after suspension.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.2-201.fc21.x86_64 root=/dev/mapper/luks-c8539e41-034f-4130-a72f-85a835210eb0 ro rd.lvm.lv=fedora/swap rd.luks.uuid=luks-c8539e41-034f-4130-a72f-85a835210eb0 rd.luks.uuid=luks-51e10188-194d-4192-a64f-bd765c1f3ecb vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.2-201.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 3580 at drivers/base/firmware_class.c:1126 _request_firmware+0x558/0x810()
Modules linked in: rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_hdmi uvcvideo snd_hda_codec_realtek intel_rapl iosf_mbi videobuf2_vmalloc snd_hda_codec_generic iTCO_wdt iTCO_vendor_support videobuf2_core arc4 videobuf2_memops btusb bluetooth x86_pkg_temp_thermal snd_hda_intel iwldvm v4l2_common coretemp snd_hda_controller mac80211 kvm_intel
 snd_hda_codec snd_hwdep snd_seq kvm videodev snd_seq_device media iwlwifi joydev serio_raw snd_pcm cfg80211 tpm_tis sdhci_pci sdhci thinkpad_acpi mmc_core wmi snd_timer lpc_ich tpm rfkill snd mfd_core i2c_i801 mei_me mei soundcore shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt i915 crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper e1000e drm ghash_clmulni_intel ptp pps_core video
CPU: 3 PID: 3580 Comm: kworker/u17:0 Not tainted 3.19.2-201.fc21.x86_64 #1
PM: Finishing wakeup.
Restarting tasks ... 
Hardware name: LENOVO 2342CTO/2342CTO, BIOS G1ETA4WW (2.64 ) 03/06/2014
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000cbb52f48 ffff8800c684bb78 ffffffff8176e025
 0000000000000000 0000000000000000 ffff8800c684bbb8 ffffffff8109bc0a
 0000000000000000 ffff8800c684bcd0 00000000fffffff5 ffff880112f81f00
Call Trace:
 [<ffffffff8176e025>] dump_stack+0x45/0x57
 [<ffffffff8109bc0a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd3a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814dbc48>] _request_firmware+0x558/0x810
 [<ffffffff814dbf35>] request_firmware+0x35/0x50
 [<ffffffffa0744886>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814d3eb6>] ? rpm_idle+0xd6/0x230
 [<ffffffffa06b8801>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c50ed>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa06b9980>] hci_power_on+0x40/0x200 [bluetooth]
 [<ffffffff810b483c>] process_one_work+0x14c/0x3f0
 [<ffffffff810b5203>] worker_thread+0x53/0x470
 [<ffffffff810b51b0>] ? rescuer_thread+0x300/0x300
 [<ffffffff810ba458>] kthread+0xd8/0xf0
 [<ffffffff810ba380>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81774758>] ret_from_fork+0x58/0x90
 [<ffffffff810ba380>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 51 Octavian Covalschi 2015-04-03 16:33:37 UTC
Description of problem:
It happens after getting back from resume. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.3-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 3280 at drivers/base/firmware_class.c:1126 _request_firmware+0x558/0x810()
Modules linked in: ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw binfmt_misc bnep intel_rapl iosf_mbi arc4 x86_pkg_temp_thermal snd_hda_codec_hdmi coretemp kvm_intel joydev snd_hda_codec_realtek iwldvm snd_hda_codec_generic kvm iTCO_wdt mac80211 iTCO_vendor_support snd_hda_intel snd_hda_controller snd_hda_codec crct10dif_pclmul snd_hwdep crc32_pclmul snd_seq crc32c_intel ghash_clmulni_intel uvcvideo snd_seq_device iwlwifi btusb videobuf2_vmalloc snd_pcm videobuf2_core
 serio_raw bluetooth cfg80211 videobuf2_memops sdhci_pci v4l2_common videodev thinkpad_acpi sdhci i2c_i801 lpc_ich mfd_core wacom mmc_core media snd_timer tpm_tis hid_logitech_hidpp wmi tpm rfkill snd mei_me mei shpchp soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper e1000e drm hid_logitech_dj ptp pps_core video
CPU: 3 PID: 3280 Comm: kworker/u17:0 Not tainted 3.19.3-200.fc21.x86_64 #1
Hardware name: LENOVO 343522U/343522U, BIOS GCET96WW (2.56 ) 10/22/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000089944328 ffff88040acffb78 ffffffff8176e215
 0000000000000000 0000000000000000 ffff88040acffbb8 ffffffff8109bc1a
 0000000000000000 ffff88040acffcd0 00000000fffffff5 ffff8804076bac40
Call Trace:
 [<ffffffff8176e215>] dump_stack+0x45/0x57
 [<ffffffff8109bc1a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd4a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814dbe78>] _request_firmware+0x558/0x810
 [<ffffffff814dc165>] request_firmware+0x35/0x50
 [<ffffffffa03a7886>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814d40e6>] ? rpm_idle+0xd6/0x230
 [<ffffffffa04d4801>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c51dd>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa04d5980>] hci_power_on+0x40/0x200 [bluetooth]
 [<ffffffff810b487c>] process_one_work+0x14c/0x3f0
 [<ffffffff810b52f3>] worker_thread+0x53/0x470
 [<ffffffff810b52a0>] ? rescuer_thread+0x300/0x300
 [<ffffffff810ba548>] kthread+0xd8/0xf0
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81774958>] ret_from_fork+0x58/0x90
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 52 Laura Abbott 2015-04-25 01:30:44 UTC
If you are still seeing this issue can you send full kernel dmesg?

Comment 53 Octavian Covalschi 2015-04-27 07:25:36 UTC
Just upgraded to 3.19.5 and the issue is still present. 

 - initially this laptop had ubuntu and even though I haven't used much I wasn't getting any notifications.
 - i ran memtest (text mode) for about an hour and no errors.

last 20 mcelog
Apr 27 03:16:20 localhost mcelog: Generic CACHE Level-2 Generic Error
Apr 27 03:16:20 localhost mcelog: STATUS ee0000000040110a MCGSTATUS 0
Apr 27 03:16:20 localhost mcelog: MCGCAP c07 APICID 0 SOCKETID 0
Apr 27 03:16:20 localhost mcelog: CPUID Vendor Intel Family 6 Model 69
Apr 27 03:16:20 localhost mcelog: Hardware event. This is not a software error.
Apr 27 03:16:20 localhost mcelog: MCE 1
Apr 27 03:16:20 localhost mcelog: CPU 0 BANK 6
Apr 27 03:16:20 localhost mcelog: MISC 178a0000086 ADDR fef87380
Apr 27 03:16:20 localhost mcelog: TIME 1430118973 Mon Apr 27 03:16:13 2015
Apr 27 03:16:20 localhost mcelog: MCG status:
Apr 27 03:16:20 localhost mcelog: MCi status:
Apr 27 03:16:20 localhost mcelog: Uncorrected error
Apr 27 03:16:20 localhost mcelog: MCi_MISC register valid
Apr 27 03:16:20 localhost mcelog: MCi_ADDR register valid
Apr 27 03:16:20 localhost mcelog: Processor context corrupt
Apr 27 03:16:20 localhost mcelog: MCA: corrected filtering (some unreported errors in same region)
Apr 27 03:16:20 localhost mcelog: Generic CACHE Level-2 Generic Error
Apr 27 03:16:20 localhost mcelog: STATUS ae0000000040110a MCGSTATUS 0
Apr 27 03:16:20 localhost mcelog: MCGCAP c07 APICID 0 SOCKETID 0
Apr 27 03:16:20 localhost mcelog: CPUID Vendor Intel Family 6 Model 69


dmesg
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.19.5-200.fc21.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 4.9.2 20150212 (Red Hat 4.9.2-6) (GCC) ) #1 SMP Mon Apr 20 19:51:56 UTC 2015
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.19.5-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009d3ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009d400-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000a56affff] usable
[    0.000000] BIOS-e820: [mem 0x00000000a56b0000-0x00000000a5eaffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000a5eb0000-0x00000000aaabefff] usable
[    0.000000] BIOS-e820: [mem 0x00000000aaabf000-0x00000000aaebefff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000aaebf000-0x00000000aafbefff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000aafbf000-0x00000000aaffefff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000aafff000-0x00000000aaffffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000ab000000-0x00000000af9fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fe101000-0x00000000fe112fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000feb00000-0x00000000feb0ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffc00000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000024f5fffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: LENOVO 20351/Lancer 5A2, BIOS 9ACN26WW 07/31/2014
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] e820: last_pfn = 0x24f600 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-E7FFF write-protect
[    0.000000]   E8000-EFFFF write-combining
[    0.000000]   F0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0000000000 mask 7C00000000 write-back
[    0.000000]   1 base 00AB000000 mask 7FFF000000 uncachable
[    0.000000]   2 base 00AC000000 mask 7FFC000000 uncachable
[    0.000000]   3 base 00B0000000 mask 7FF0000000 uncachable
[    0.000000]   4 base 00C0000000 mask 7FC0000000 uncachable
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000]   8 disabled
[    0.000000]   9 disabled
[    0.000000] PAT configuration [0-7]: WB  WC  UC- UC  WB  WC  UC- UC  
[    0.000000] e820: update [mem 0xab000000-0xffffffff] usable ==> reserved
[    0.000000] e820: last_pfn = 0xab000 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [mem 0x000fe1b0-0x000fe1bf] mapped at [ffff8800000fe1b0]
[    0.000000] Base memory trampoline at [ffff880000097000] 97000 size 24576
[    0.000000] Using GB pages for direct mapping
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000]  [mem 0x00000000-0x000fffff] page 4k
[    0.000000] BRK [0x02038000, 0x02038fff] PGTABLE
[    0.000000] BRK [0x02039000, 0x02039fff] PGTABLE
[    0.000000] BRK [0x0203a000, 0x0203afff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x24f400000-0x24f5fffff]
[    0.000000]  [mem 0x24f400000-0x24f5fffff] page 2M
[    0.000000] BRK [0x0203b000, 0x0203bfff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x240000000-0x24f3fffff]
[    0.000000]  [mem 0x240000000-0x24f3fffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x220000000-0x23fffffff]
[    0.000000]  [mem 0x220000000-0x23fffffff] page 1G
[    0.000000] init_memory_mapping: [mem 0x00100000-0xa56affff]
[    0.000000]  [mem 0x00100000-0x001fffff] page 4k
[    0.000000]  [mem 0x00200000-0x3fffffff] page 2M
[    0.000000]  [mem 0x40000000-0x7fffffff] page 1G
[    0.000000]  [mem 0x80000000-0xa55fffff] page 2M
[    0.000000]  [mem 0xa5600000-0xa56affff] page 4k
[    0.000000] init_memory_mapping: [mem 0xa5eb0000-0xaaabefff]
[    0.000000]  [mem 0xa5eb0000-0xa5ffffff] page 4k
[    0.000000]  [mem 0xa6000000-0xaa9fffff] page 2M
[    0.000000]  [mem 0xaaa00000-0xaaabefff] page 4k
[    0.000000] BRK [0x0203c000, 0x0203cfff] PGTABLE
[    0.000000] BRK [0x0203d000, 0x0203dfff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0xaafff000-0xaaffffff]
[    0.000000]  [mem 0xaafff000-0xaaffffff] page 4k
[    0.000000] init_memory_mapping: [mem 0x100000000-0x21fffffff]
[    0.000000]  [mem 0x100000000-0x21fffffff] page 1G
[    0.000000] RAMDISK: [mem 0x35b35000-0x36d92fff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000FE020 000024 (v02 LENOVO)
[    0.000000] ACPI: XSDT 0x00000000AAFFE210 0000B4 (v01 LENOVO CB-01    00000001      01000013)
[    0.000000] ACPI: FACP 0x00000000AAFF7000 00010C (v05 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DSDT 0x00000000AAFE4000 00F4BB (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FACS 0x00000000AAFBA000 000040
[    0.000000] ACPI: SLIC 0x00000000AAFFD000 000176 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: UEFI 0x00000000AAFFC000 000236 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FPDT 0x00000000AAFFA000 000044 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: POAT 0x00000000AAFF9000 000055 (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: ASF! 0x00000000AAFF8000 0000A5 (v32 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: HPET 0x00000000AAFF6000 000038 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: APIC 0x00000000AAFF5000 00008C (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: MCFG 0x00000000AAFF4000 00003C (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: WDAT 0x00000000AAFE3000 000224 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000AAFE0000 002028 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: BOOT 0x00000000AAFDE000 000028 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: LPIT 0x00000000AAFDD000 000094 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: ASPT 0x00000000AAFDB000 000034 (v07 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DBGP 0x00000000AAFDA000 000034 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000AAFD2000 000539 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000AAFD1000 000AD8 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000AAFCD000 0034F8 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000024f5fffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x24f5e9000-0x24f5fcfff]
[    0.000000]  [ffffea0000000000-ffffea00093fffff] PMD -> [ffff880246c00000-ffff88024ebfffff] on node 0
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   [mem 0x100000000-0x24f5fffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009cfff]
[    0.000000]   node   0: [mem 0x00100000-0xa56affff]
[    0.000000]   node   0: [mem 0xa5eb0000-0xaaabefff]
[    0.000000]   node   0: [mem 0xaafff000-0xaaffffff]
[    0.000000]   node   0: [mem 0x100000000-0x24f5fffff]
[    0.000000] Initmem setup node 0 [mem 0x00001000-0x24f5fffff]
[    0.000000] On node 0 totalpages: 2070620
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 21 pages reserved
[    0.000000]   DMA zone: 3996 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 10827 pages used for memmap
[    0.000000]   DMA32 zone: 692928 pages, LIFO batch:31
[    0.000000]   Normal zone: 21464 pages used for memmap
[    0.000000]   Normal zone: 1373696 pages, LIFO batch:31
[    0.000000] Reserving Intel graphics stolen memory at 0xaba00000-0xaf9fffff
[    0.000000] ACPI: PM-Timer IO Port: 0x1808
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x02] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x04] lapic_id[0x03] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x05] lapic_id[0x00] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x06] lapic_id[0x00] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x07] lapic_id[0x00] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x08] lapic_id[0x00] disabled)
[    0.000000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-39
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 8 CPUs, 4 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009d000-0x0009dfff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009e000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0xa56b0000-0xa5eaffff]
[    0.000000] PM: Registered nosave memory: [mem 0xaaabf000-0xaaebefff]
[    0.000000] PM: Registered nosave memory: [mem 0xaaebf000-0xaafbefff]
[    0.000000] PM: Registered nosave memory: [mem 0xaafbf000-0xaaffefff]
[    0.000000] PM: Registered nosave memory: [mem 0xab000000-0xaf9fffff]
[    0.000000] PM: Registered nosave memory: [mem 0xafa00000-0xdfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xefffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xf0000000-0xfe100fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfe101000-0xfe112fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfe113000-0xfeafffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfeb00000-0xfeb0ffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfeb10000-0xfebfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfecfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed00000-0xfee00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xffbfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xffc00000-0xffffffff]
[    0.000000] e820: [mem 0xafa00000-0xdfffffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:1024 nr_cpumask_bits:8 nr_cpu_ids:8 nr_node_ids:1
[    0.000000] PERCPU: Embedded 31 pages/cpu @ffff88024f200000 s87936 r8192 d30848 u262144
[    0.000000] pcpu-alloc: s87936 r8192 d30848 u262144 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 4 5 6 7 
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 2038244
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-3.19.5-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] xsave: enabled xstate_bv 0x7, cntxt size 0x340 using standard form
[    0.000000] Memory: 8048496K/8282480K available (7657K kernel code, 1243K rwdata, 3304K rodata, 1504K init, 1532K bss, 233984K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=1024 to nr_cpu_ids=8.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.000000] NR_IRQS:65792 nr_irqs:760 16
[    0.000000] 	Offload RCU callbacks from all CPUs
[    0.000000] 	Offload RCU callbacks from CPUs: 0-7.
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] hpet clockevent registered
[    0.000000] tsc: Fast TSC calibration using PIT
[    0.000000] tsc: Detected 2593.959 MHz processor
[    0.000043] Calibrating delay loop (skipped), value calculated using timer frequency.. 5187.91 BogoMIPS (lpj=2593959)
[    0.000046] pid_max: default: 32768 minimum: 301
[    0.000053] ACPI: Core revision 20141107
[    0.016666] ACPI: All ACPI Tables successfully acquired
[    0.018154] Security Framework initialized
[    0.018162] SELinux:  Initializing.
[    0.018169] SELinux:  Starting in permissive mode
[    0.018858] Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
[    0.020739] Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.021518] Mount-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.021531] Mountpoint-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.021761] Initializing cgroup subsys memory
[    0.021767] Initializing cgroup subsys devices
[    0.021769] Initializing cgroup subsys freezer
[    0.021771] Initializing cgroup subsys net_cls
[    0.021773] Initializing cgroup subsys blkio
[    0.021775] Initializing cgroup subsys perf_event
[    0.021778] Initializing cgroup subsys net_prio
[    0.021780] Initializing cgroup subsys hugetlb
[    0.021808] CPU: Physical Processor ID: 0
[    0.021809] CPU: Processor Core ID: 0
[    0.021814] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.022921] mce: CPU supports 7 MCE banks
[    0.022938] CPU0: Thermal monitoring enabled (TM1)
[    0.022950] Last level iTLB entries: 4KB 1024, 2MB 1024, 4MB 1024
Last level dTLB entries: 4KB 1024, 2MB 1024, 4MB 1024, 1GB 4
[    0.023071] Freeing SMP alternatives memory: 28K (ffffffff81eb0000 - ffffffff81eb7000)
[    0.024130] ftrace: allocating 27699 entries in 109 pages
[    0.038185] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.048195] smpboot: CPU0: Intel(R) Core(TM) i7-4510U CPU @ 2.00GHz (fam: 06, model: 45, stepping: 01)
[    0.048202] TSC deadline timer enabled
[    0.048223] Performance Events: PEBS fmt2+, 16-deep LBR, Haswell events, full-width counters, Intel PMU driver.
[    0.048246] ... version:                3
[    0.048247] ... bit width:              48
[    0.048248] ... generic registers:      4
[    0.048249] ... value mask:             0000ffffffffffff
[    0.048250] ... max period:             0000ffffffffffff
[    0.048251] ... fixed-purpose events:   3
[    0.048252] ... event mask:             000000070000000f
[    0.049110] x86: Booting SMP configuration:
[    0.049112] .... node  #0, CPUs:      #1
[    0.063698] NMI watchdog: enabled on all CPUs, permanently consumes one hw-PMU counter.
[    0.063801]  #2 #3
[    0.092578] x86: Booted up 1 node, 4 CPUs
[    0.092582] smpboot: Total of 4 processors activated (20751.67 BogoMIPS)
[    0.097729] devtmpfs: initialized
[    0.100827] PM: Registering ACPI NVS region [mem 0xaaebf000-0xaafbefff] (1048576 bytes)
[    0.101021] atomic64_test: passed for x86-64 platform with CX8 and with SSE
[    0.101025] pinctrl core: initialized pinctrl subsystem
[    0.101068] RTC time:  7:16:13, date: 04/27/15
[    0.101183] NET: Registered protocol family 16
[    0.103537] cpuidle: using governor menu
[    0.103614] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[    0.103615] ACPI: bus type PCI registered
[    0.103617] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.103703] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.103705] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.104052] PCI: Using configuration type 1 for base access
[    0.107919] ACPI: Added _OSI(Module Device)
[    0.107921] ACPI: Added _OSI(Processor Device)
[    0.107923] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.107924] ACPI: Added _OSI(Processor Aggregator Device)
[    0.112717] ACPI: Executed 1 blocks of module-level executable AML code
[    0.116255] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[    0.117226] ACPI: Dynamic OEM Table Load:
[    0.117237] ACPI: SSDT 0xFFFF8802455B9400 0003D3 (v01 PmRef  Cpu0Cst  00003001 INTL 20121220)
[    0.118098] ACPI: Dynamic OEM Table Load:
[    0.118107] ACPI: SSDT 0xFFFF880245503000 0005AA (v01 PmRef  ApIst    00003000 INTL 20121220)
[    0.119019] ACPI: Dynamic OEM Table Load:
[    0.119027] ACPI: SSDT 0xFFFF8802455B3400 000119 (v01 PmRef  ApCst    00003000 INTL 20121220)
[    0.121527] ACPI: Interpreter enabled
[    0.121539] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S1_] (20141107/hwxface-580)
[    0.121547] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S2_] (20141107/hwxface-580)
[    0.121569] ACPI: (supports S0 S3 S4 S5)
[    0.121571] ACPI: Using IOAPIC for interrupt routing
[    0.121614] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.168544] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-fe])
[    0.168550] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.168955] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug PME AER PCIeCapability]
[    0.169798] PCI host bridge to bus 0000:00
[    0.169802] pci_bus 0000:00: root bus resource [bus 00-fe]
[    0.169804] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7]
[    0.169806] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff]
[    0.169807] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff]
[    0.169809] pci_bus 0000:00: root bus resource [mem 0xafa00000-0xfeafffff]
[    0.169818] pci 0000:00:00.0: [8086:0a04] type 00 class 0x060000
[    0.170006] pci 0000:00:02.0: [8086:0a16] type 00 class 0x030000
[    0.170019] pci 0000:00:02.0: reg 0x10: [mem 0xc0000000-0xc03fffff 64bit]
[    0.170026] pci 0000:00:02.0: reg 0x18: [mem 0xb0000000-0xbfffffff 64bit pref]
[    0.170032] pci 0000:00:02.0: reg 0x20: [io  0x5000-0x503f]
[    0.170208] pci 0000:00:03.0: [8086:0a0c] type 00 class 0x040300
[    0.170217] pci 0000:00:03.0: reg 0x10: [mem 0xc0610000-0xc0613fff 64bit]
[    0.170416] pci 0000:00:14.0: [8086:9c31] type 00 class 0x0c0330
[    0.170434] pci 0000:00:14.0: reg 0x10: [mem 0xc0600000-0xc060ffff 64bit]
[    0.170495] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.170621] pci 0000:00:14.0: System wakeup disabled by ACPI
[    0.170661] pci 0000:00:16.0: [8086:9c3a] type 00 class 0x078000
[    0.170682] pci 0000:00:16.0: reg 0x10: [mem 0xc0618000-0xc061801f 64bit]
[    0.170758] pci 0000:00:16.0: PME# supported from D0 D3hot D3cold
[    0.170931] pci 0000:00:1b.0: [8086:9c20] type 00 class 0x040300
[    0.170946] pci 0000:00:1b.0: reg 0x10: [mem 0xc0614000-0xc0617fff 64bit]
[    0.171016] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.171142] pci 0000:00:1b.0: System wakeup disabled by ACPI
[    0.171179] pci 0000:00:1c.0: [8086:9c14] type 01 class 0x060400
[    0.171249] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.171377] pci 0000:00:1c.0: System wakeup disabled by ACPI
[    0.171414] pci 0000:00:1c.3: [8086:9c16] type 01 class 0x060400
[    0.171484] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[    0.171612] pci 0000:00:1c.3: System wakeup disabled by ACPI
[    0.171658] pci 0000:00:1d.0: [8086:9c26] type 00 class 0x0c0320
[    0.171679] pci 0000:00:1d.0: reg 0x10: [mem 0xc061c000-0xc061c3ff]
[    0.171775] pci 0000:00:1d.0: PME# supported from D0 D3hot D3cold
[    0.171916] pci 0000:00:1d.0: System wakeup disabled by ACPI
[    0.171957] pci 0000:00:1f.0: [8086:9c43] type 00 class 0x060100
[    0.172224] pci 0000:00:1f.2: [8086:9c03] type 00 class 0x010601
[    0.172239] pci 0000:00:1f.2: reg 0x10: [io  0x5088-0x508f]
[    0.172246] pci 0000:00:1f.2: reg 0x14: [io  0x5094-0x5097]
[    0.172253] pci 0000:00:1f.2: reg 0x18: [io  0x5080-0x5087]
[    0.172261] pci 0000:00:1f.2: reg 0x1c: [io  0x5090-0x5093]
[    0.172268] pci 0000:00:1f.2: reg 0x20: [io  0x5060-0x507f]
[    0.172275] pci 0000:00:1f.2: reg 0x24: [mem 0xc061b000-0xc061b7ff]
[    0.172313] pci 0000:00:1f.2: PME# supported from D3hot
[    0.172466] pci 0000:00:1f.3: [8086:9c22] type 00 class 0x0c0500
[    0.172480] pci 0000:00:1f.3: reg 0x10: [mem 0xc0619000-0xc06190ff 64bit]
[    0.172499] pci 0000:00:1f.3: reg 0x20: [io  0x5040-0x505f]
[    0.172738] pci 0000:01:00.0: [10ec:8168] type 00 class 0x020000
[    0.172758] pci 0000:01:00.0: reg 0x10: [io  0x4000-0x40ff]
[    0.172786] pci 0000:01:00.0: reg 0x18: [mem 0xc0504000-0xc0504fff 64bit]
[    0.172804] pci 0000:01:00.0: reg 0x20: [mem 0xc0500000-0xc0503fff 64bit]
[    0.172903] pci 0000:01:00.0: supports D1 D2
[    0.172905] pci 0000:01:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.172939] pci 0000:01:00.0: System wakeup disabled by ACPI
[    0.175719] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.175723] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.175726] pci 0000:00:1c.0:   bridge window [mem 0xc0500000-0xc05fffff]
[    0.175865] pci 0000:02:00.0: [10ec:b723] type 00 class 0x028000
[    0.175897] pci 0000:02:00.0: reg 0x10: [io  0x3000-0x30ff]
[    0.175943] pci 0000:02:00.0: reg 0x18: [mem 0xc0400000-0xc0403fff 64bit]
[    0.176122] pci 0000:02:00.0: supports D1 D2
[    0.176124] pci 0000:02:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.176172] pci 0000:02:00.0: System wakeup disabled by ACPI
[    0.178775] pci 0000:00:1c.3: PCI bridge to [bus 02]
[    0.178778] pci 0000:00:1c.3:   bridge window [io  0x3000-0x3fff]
[    0.178781] pci 0000:00:1c.3:   bridge window [mem 0xc0400000-0xc04fffff]
[    0.178802] acpi PNP0A08:00: Disabling ASPM (FADT indicates it is unsupported)
[    0.180108] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 15) *7
[    0.180156] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.180202] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.180247] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.180292] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.180336] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.180381] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.180425] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.180708] ACPI: Enabled 4 GPEs in block 00 to 7F
[    0.180753] ACPI : EC: GPE = 0x7, I/O: command/status = 0x66, data = 0x62
[    0.180868] vgaarb: setting as boot device: PCI:0000:00:02.0
[    0.180871] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    0.180873] vgaarb: loaded
[    0.180875] vgaarb: bridge control possible 0000:00:02.0
[    0.180948] SCSI subsystem initialized
[    0.180990] libata version 3.00 loaded.
[    0.181018] ACPI: bus type USB registered
[    0.181037] usbcore: registered new interface driver usbfs
[    0.181046] usbcore: registered new interface driver hub
[    0.181063] usbcore: registered new device driver usb
[    0.181169] PCI: Using ACPI for IRQ routing
[    0.186931] PCI: pci_cache_line_size set to 64 bytes
[    0.186966] e820: reserve RAM buffer [mem 0x0009d400-0x0009ffff]
[    0.186968] e820: reserve RAM buffer [mem 0xa56b0000-0xa7ffffff]
[    0.186969] e820: reserve RAM buffer [mem 0xaaabf000-0xabffffff]
[    0.186971] e820: reserve RAM buffer [mem 0xab000000-0xabffffff]
[    0.186972] e820: reserve RAM buffer [mem 0x24f600000-0x24fffffff]
[    0.187081] NetLabel: Initializing
[    0.187082] NetLabel:  domain hash size = 128
[    0.187083] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.187096] NetLabel:  unlabeled traffic allowed by default
[    0.187145] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    0.187150] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
[    0.189179] Switched to clocksource hpet
[    0.195904] pnp: PnP ACPI init
[    0.196460] system 00:00: [io  0x0680-0x069f] has been reserved
[    0.196463] system 00:00: [io  0xffff] has been reserved
[    0.196465] system 00:00: [io  0xffff] has been reserved
[    0.196467] system 00:00: [io  0xffff] has been reserved
[    0.196469] system 00:00: [io  0x1800-0x18fe] could not be reserved
[    0.196471] system 00:00: [io  0x164e-0x164f] has been reserved
[    0.196474] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.196522] pnp 00:01: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.196567] system 00:02: [io  0x1854-0x1857] has been reserved
[    0.196569] system 00:02: Plug and Play ACPI device, IDs INT3f0d PNP0c02 (active)
[    0.196618] pnp 00:03: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.196646] pnp 00:04: Plug and Play ACPI device, IDs SYN2b37 PNP0f13 SYN0002 SYN2b00 (active)
[    0.196783] system 00:05: [mem 0xfed1c000-0xfed1ffff] has been reserved
[    0.196785] system 00:05: [mem 0xfed10000-0xfed17fff] has been reserved
[    0.196787] system 00:05: [mem 0xfed18000-0xfed18fff] has been reserved
[    0.196789] system 00:05: [mem 0xfed19000-0xfed19fff] has been reserved
[    0.196791] system 00:05: [mem 0xe0000000-0xefffffff] has been reserved
[    0.196792] system 00:05: [mem 0xfed20000-0xfed3ffff] has been reserved
[    0.196794] system 00:05: [mem 0xfed90000-0xfed93fff] has been reserved
[    0.196796] system 00:05: [mem 0xff000000-0xffffffff] could not be reserved
[    0.196798] system 00:05: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.196800] system 00:05: [mem 0xafa20000-0xafa20fff] has been reserved
[    0.196802] system 00:05: [mem 0xafa10000-0xafa1ffff] has been reserved
[    0.196804] system 00:05: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.197064] system 00:06: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.197531] pnp: PnP ACPI: found 7 devices
[    0.203863] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.203867] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.203871] pci 0000:00:1c.0:   bridge window [mem 0xc0500000-0xc05fffff]
[    0.203879] pci 0000:00:1c.3: PCI bridge to [bus 02]
[    0.203881] pci 0000:00:1c.3:   bridge window [io  0x3000-0x3fff]
[    0.203885] pci 0000:00:1c.3:   bridge window [mem 0xc0400000-0xc04fffff]
[    0.203893] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7]
[    0.203895] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff]
[    0.203897] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff]
[    0.203898] pci_bus 0000:00: resource 7 [mem 0xafa00000-0xfeafffff]
[    0.203900] pci_bus 0000:01: resource 0 [io  0x4000-0x4fff]
[    0.203902] pci_bus 0000:01: resource 1 [mem 0xc0500000-0xc05fffff]
[    0.203904] pci_bus 0000:02: resource 0 [io  0x3000-0x3fff]
[    0.203905] pci_bus 0000:02: resource 1 [mem 0xc0400000-0xc04fffff]
[    0.203935] NET: Registered protocol family 2
[    0.204157] TCP established hash table entries: 65536 (order: 7, 524288 bytes)
[    0.204329] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    0.204458] TCP: Hash tables configured (established 65536 bind 65536)
[    0.204475] TCP: reno registered
[    0.204487] UDP hash table entries: 4096 (order: 5, 131072 bytes)
[    0.204517] UDP-Lite hash table entries: 4096 (order: 5, 131072 bytes)
[    0.204578] NET: Registered protocol family 1
[    0.204595] pci 0000:00:02.0: Video device with shadowed ROM
[    0.217308] PCI: CLS 64 bytes, default 64
[    0.217359] Unpacking initramfs...
[    0.541137] Freeing initrd memory: 18808K (ffff880035b35000 - ffff880036d93000)
[    0.541149] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    0.541152] software IO TLB [mem 0xa6abf000-0xaaabf000] (64MB) mapped at [ffff8800a6abf000-ffff8800aaabefff]
[    0.541204] Simple Boot Flag at 0x44 set to 0x1
[    0.541363] RAPL PMU detected, hw unit 2^-14 Joules, API unit is 2^-32 Joules, 4 fixed counters 655360 ms ovfl timer
[    0.541424] microcode: CPU0 sig=0x40651, pf=0x40, revision=0x1c
[    0.541432] microcode: CPU1 sig=0x40651, pf=0x40, revision=0x1c
[    0.541443] microcode: CPU2 sig=0x40651, pf=0x40, revision=0x1c
[    0.541452] microcode: CPU3 sig=0x40651, pf=0x40, revision=0x1c
[    0.541502] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[    0.541874] AVX2 version of gcm_enc/dec engaged.
[    0.541876] AES CTR mode by8 optimization enabled
[    0.544084] alg: No test for __gcm-aes-aesni (__driver-gcm-aes-aesni)
[    0.544544] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    0.544566] Initialise system trusted keyring
[    0.544598] audit: initializing netlink subsys (disabled)
[    0.544612] audit: type=2000 audit(1430118973.530:1): initialized
[    0.544959] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.546541] zpool: loaded
[    0.546545] zbud: loaded
[    0.546729] VFS: Disk quotas dquot_6.5.2
[    0.546768] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.547197] Key type big_key registered
[    0.547201] SELinux:  Registering netfilter hooks
[    0.548077] alg: No test for stdrng (krng)
[    0.548087] NET: Registered protocol family 38
[    0.548095] Key type asymmetric registered
[    0.548098] Asymmetric key parser 'x509' registered
[    0.548138] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.548178] io scheduler noop registered
[    0.548182] io scheduler deadline registered
[    0.548217] io scheduler cfq registered (default)
[    0.548690] pcieport 0000:00:1c.0: Signaling PME through PCIe PME interrupt
[    0.548693] pci 0000:01:00.0: Signaling PME through PCIe PME interrupt
[    0.548697] pcie_pme 0000:00:1c.0:pcie01: service driver pcie_pme loaded
[    0.548712] pcieport 0000:00:1c.3: Signaling PME through PCIe PME interrupt
[    0.548714] pci 0000:02:00.0: Signaling PME through PCIe PME interrupt
[    0.548717] pcie_pme 0000:00:1c.3:pcie01: service driver pcie_pme loaded
[    0.548725] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.548743] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.548780] intel_idle: MWAIT substates: 0x11142120
[    0.548782] intel_idle: v0.4 model 0x45
[    0.548783] intel_idle: lapic_timer_reliable_states 0xffffffff
[    0.549962] ACPI: AC Adapter [ADP0] (on-line)
[    0.550059] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
[    0.550084] ACPI: Lid Switch [LID0]
[    0.550122] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1
[    0.550126] ACPI: Power Button [PWRB]
[    0.550163] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    0.550166] ACPI: Power Button [PWRF]
[    0.550460] GHES: HEST is not enabled!
[    0.550548] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.552960] Non-volatile memory driver v1.3
[    0.552966] Linux agpgart interface v0.103
[    0.553115] ahci 0000:00:1f.2: version 3.0
[    0.553264] ahci 0000:00:1f.2: SSS flag set, parallel bus scan disabled
[    0.553296] ahci 0000:00:1f.2: AHCI 0001.0300 32 slots 4 ports 6 Gbps 0xf impl SATA mode
[    0.553299] ahci 0000:00:1f.2: flags: 64bit ncq stag pm led clo only pio slum part sxs deso sadm sds apst 
[    0.553806] scsi host0: ahci
[    0.553944] scsi host1: ahci
[    0.554038] scsi host2: ahci
[    0.554129] scsi host3: ahci
[    0.554170] ata1: SATA max UDMA/133 abar m2048@0xc061b000 port 0xc061b100 irq 42
[    0.554173] ata2: SATA max UDMA/133 abar m2048@0xc061b000 port 0xc061b180 irq 42
[    0.554174] ata3: SATA max UDMA/133 abar m2048@0xc061b000 port 0xc061b200 irq 42
[    0.554176] ata4: SATA max UDMA/133 abar m2048@0xc061b000 port 0xc061b280 irq 42
[    0.554258] libphy: Fixed MDIO Bus: probed
[    0.554452] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.554502] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    0.554580] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    0.554653] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    0.554655] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.554656] usb usb1: Product: xHCI Host Controller
[    0.554658] usb usb1: Manufacturer: Linux 3.19.5-200.fc21.x86_64 xhci-hcd
[    0.554660] usb usb1: SerialNumber: 0000:00:14.0
[    0.554774] hub 1-0:1.0: USB hub found
[    0.554785] hub 1-0:1.0: 9 ports detected
[    0.556894] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.556939] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    0.556971] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[    0.556973] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.556974] usb usb2: Product: xHCI Host Controller
[    0.556976] usb usb2: Manufacturer: Linux 3.19.5-200.fc21.x86_64 xhci-hcd
[    0.556977] usb usb2: SerialNumber: 0000:00:14.0
[    0.557087] hub 2-0:1.0: USB hub found
[    0.557094] hub 2-0:1.0: 4 ports detected
[    0.557448] usb: failed to peer usb2-port2 and usb1-port2 by location (usb2-port2:none) (usb1-port2:usb2-port1)
[    0.557451] usb usb2-port2: failed to peer to usb1-port2 (-16)
[    0.557452] usb: port power management may be unreliable
[    0.557831] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.557837] ehci-pci: EHCI PCI platform driver
[    0.557947] ehci-pci 0000:00:1d.0: EHCI Host Controller
[    0.557995] ehci-pci 0000:00:1d.0: new USB bus registered, assigned bus number 3
[    0.558007] ehci-pci 0000:00:1d.0: debug port 2
[    0.561923] ehci-pci 0000:00:1d.0: cache line size of 64 is not supported
[    0.561936] ehci-pci 0000:00:1d.0: irq 23, io mem 0xc061c000
[    0.567421] ehci-pci 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[    0.567456] usb usb3: New USB device found, idVendor=1d6b, idProduct=0002
[    0.567458] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.567460] usb usb3: Product: EHCI Host Controller
[    0.567461] usb usb3: Manufacturer: Linux 3.19.5-200.fc21.x86_64 ehci_hcd
[    0.567463] usb usb3: SerialNumber: 0000:00:1d.0
[    0.567573] hub 3-0:1.0: USB hub found
[    0.567578] hub 3-0:1.0: 2 ports detected
[    0.567691] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.567696] ohci-pci: OHCI PCI platform driver
[    0.567706] uhci_hcd: USB Universal Host Controller Interface driver
[    0.567749] usbcore: registered new interface driver usbserial
[    0.567756] usbcore: registered new interface driver usbserial_generic
[    0.567762] usbserial: USB Serial support registered for generic
[    0.567796] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    0.581789] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.581794] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.581895] mousedev: PS/2 mouse device common for all mice
[    0.582467] rtc_cmos 00:01: RTC can wake from S4
[    0.582626] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[    0.582654] rtc_cmos 00:01: alarms up to one month, 242 bytes nvram, hpet irqs
[    0.582724] device-mapper: uevent: version 1.0.3
[    0.582814] device-mapper: ioctl: 4.29.0-ioctl (2014-10-28) initialised: dm-devel@redhat.com
[    0.582895] Intel P-state driver initializing.
[    0.583529] hidraw: raw HID events driver (C) Jiri Kosina
[    0.583828] usbcore: registered new interface driver usbhid
[    0.583831] usbhid: USB HID core driver
[    0.583975] drop_monitor: Initializing network drop monitor service
[    0.584146] ip_tables: (C) 2000-2006 Netfilter Core Team
[    0.584231] TCP: cubic registered
[    0.584244] Initializing XFRM netlink socket
[    0.584521] NET: Registered protocol family 10
[    0.585009] mip6: Mobile IPv6
[    0.585020] NET: Registered protocol family 17
[    0.586032] Loading compiled-in X.509 certificates
[    0.588443] Loaded X.509 cert 'Fedora kernel signing key: 7ba07ce80591a0dc620f80f1961ce3a7a6fad82c'
[    0.588490] registered taskstats version 1
[    0.589407]   Magic number: 11:476:269
[    0.589609] rtc_cmos 00:01: setting system clock to 2015-04-27 07:16:14 UTC (1430118974)
[    0.589793] PM: Hibernation image not present or could not be loaded.
[    0.592826] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3
[    0.742642] ACPI: Battery Slot [BAT0] (battery present)
[    0.858664] ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[    0.860301] ata1.00: supports DRM functions and may not be fully accessible
[    0.860497] ata1.00: failed to get NCQ Send/Recv Log Emask 0x1
[    0.860501] ata1.00: ATA-9: Samsung SSD 850 EVO 120GB, EMT01B6Q, max UDMA/133
[    0.860503] ata1.00: 234441648 sectors, multi 1: LBA48 NCQ (depth 31/32), AA
[    0.861024] ata1.00: supports DRM functions and may not be fully accessible
[    0.861170] ata1.00: failed to get NCQ Send/Recv Log Emask 0x1
[    0.861265] ata1.00: configured for UDMA/133
[    0.861430] scsi 0:0:0:0: Direct-Access     ATA      Samsung SSD 850  1B6Q PQ: 0 ANSI: 5
[    0.861785] sd 0:0:0:0: [sda] 234441648 512-byte logical blocks: (120 GB/111 GiB)
[    0.861787] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    0.861952] sd 0:0:0:0: [sda] Write Protect is off
[    0.861967] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    0.862074] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.862672]  sda: sda1 sda2
[    0.862967] sd 0:0:0:0: [sda] Attached SCSI disk
[    0.869675] usb 3-1: new high-speed USB device number 2 using ehci-pci
[    0.909702] usb 1-1: new full-speed USB device number 2 using xhci_hcd
[    0.984173] usb 3-1: New USB device found, idVendor=8087, idProduct=8000
[    0.984177] usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    0.984441] hub 3-1:1.0: USB hub found
[    0.984488] hub 3-1:1.0: 8 ports detected
[    1.076367] usb 1-1: New USB device found, idVendor=046d, idProduct=c52b
[    1.076372] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.076374] usb 1-1: Product: USB Receiver
[    1.076376] usb 1-1: Manufacturer: Logitech
[    1.166846] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    1.169667] ata2.00: ATAPI: HL-DT-ST DVDRAM GUA0N, AL00, max UDMA/133
[    1.171180] ata2.00: configured for UDMA/133
[    1.175543] scsi 1:0:0:0: CD-ROM            HL-DT-ST DVDRAM GUA0N     AL00 PQ: 0 ANSI: 5
[    1.201350] sr 1:0:0:0: [sr0] scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[    1.201354] cdrom: Uniform CD-ROM driver Revision: 3.20
[    1.201501] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    1.201590] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    1.233902] usb 1-2: new low-speed USB device number 3 using xhci_hcd
[    1.418578] usb 1-2: New USB device found, idVendor=04d9, idProduct=1818
[    1.418582] usb 1-2: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[    1.418584] usb 1-2: Product: USB Keyboard
[    1.429049] input: USB Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.0/0003:04D9:1818.0004/input/input6
[    1.480170] hid-generic 0003:04D9:1818.0004: input,hidraw0: USB HID v1.10 Keyboard [USB Keyboard] on usb-0000:00:14.0-2/input0
[    1.502218] input: USB Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1/0003:04D9:1818.0005/input/input7
[    1.507054] ata3: SATA link down (SStatus 0 SControl 300)
[    1.521707] psmouse serio1: synaptics: queried max coordinates: x [..5670], y [..4794]
[    1.543068] tsc: Refined TSC clocksource calibration: 2593.994 MHz
[    1.553214] hid-generic 0003:04D9:1818.0005: input,hidraw1: USB HID v1.10 Device [USB Keyboard] on usb-0000:00:14.0-2/input1
[    1.566478] psmouse serio1: synaptics: queried min coordinates: x [1314..], y [1098..]
[    1.656185] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd00123/0x840300/0x2a800, board id: 2848, fw id: 1581875
[    1.706185] usb 1-4: new high-speed USB device number 4 using xhci_hcd
[    1.713322] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input5
[    1.812240] ata4: SATA link down (SStatus 0 SControl 300)
[    1.812624] Freeing unused kernel memory: 1504K (ffffffff81d38000 - ffffffff81eb0000)
[    1.812627] Write protecting the kernel read-only data: 12288k
[    1.812900] Freeing unused kernel memory: 524K (ffff88000177d000 - ffff880001800000)
[    1.813061] Freeing unused kernel memory: 792K (ffff880001b3a000 - ffff880001c00000)
[    1.814586] random: systemd urandom read with 20 bits of entropy available
[    1.870479] usb 1-4: New USB device found, idVendor=0bda, idProduct=0129
[    1.870482] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    1.870483] usb 1-4: Product: USB2.0-CRW
[    1.870484] usb 1-4: Manufacturer: Generic
[    1.870485] usb 1-4: SerialNumber: 20100201396000000
[    1.972695] usbcore: registered new interface driver rtsx_usb
[    1.999065] sdhci: Secure Digital Host Controller Interface driver
[    1.999067] sdhci: Copyright(c) Pierre Ossman
[    2.023340] usb 1-6: new high-speed USB device number 5 using xhci_hcd
[    2.065298] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    2.065309] r8169 0000:01:00.0: can't disable ASPM; OS doesn't have ASPM control
[    2.068299] r8169 0000:01:00.0 eth0: RTL8168g/8111g at 0xffffc90000c76000, 28:d2:44:f2:26:90, XID 10900800 IRQ 44
[    2.068303] r8169 0000:01:00.0 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[    2.076934] [drm] Initialized drm 1.1.0 20060810
[    2.087676] r8169 0000:01:00.0 enp1s0: renamed from eth0
[    2.141716] [drm] Memory usable by graphics device = 2048M
[    2.141719] [drm] Replacing VGA console driver
[    2.142869] Console: switching to colour dummy device 80x25
[    2.149470] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    2.149473] [drm] Driver supports precise vblank timestamp query.
[    2.149544] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    2.181628] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    2.181806] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input8
[    2.181884] [drm] Initialized i915 1.6.0 20141121 for 0000:00:02.0 on minor 0
[    2.205312] usb 1-6: New USB device found, idVendor=5986, idProduct=055d
[    2.205315] usb 1-6: New USB device strings: Mfr=3, Product=1, SerialNumber=2
[    2.205317] usb 1-6: Product: Lenovo EasyCamera
[    2.205319] usb 1-6: Manufacturer: Bsion Corp.
[    2.205320] usb 1-6: SerialNumber: 200901010001
[    2.206625] fbcon: inteldrmfb (fb0) is primary device
[    2.359591] usb 1-7: new full-speed USB device number 6 using xhci_hcd
[    2.523952] usb 1-7: No LPM exit latency info found, disabling LPM.
[    2.524916] usb 1-7: New USB device found, idVendor=0bda, idProduct=b728
[    2.524918] usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    2.524919] usb 1-7: Product: Bluetooth Radio 
[    2.524920] usb 1-7: Manufacturer: Realtek 
[    2.524921] usb 1-7: SerialNumber: 00e04c000001
[    2.530205] logitech-djreceiver 0003:046D:C52B.0003: hiddev0,hidraw2: USB HID v1.11 Device [Logitech USB Receiver] on usb-0000:00:14.0-1/input2
[    2.543858] Switched to clocksource tsc
[    3.303703] Console: switching to colour frame buffer device 170x48
[    3.311639] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    3.311642] i915 0000:00:02.0: registered panic notifier
[    3.531576] EXT4-fs (dm-1): mounted filesystem with ordered data mode. Opts: (null)
[    3.775216] systemd-journald[148]: Received SIGTERM from PID 1 (systemd).
[    3.817871] SELinux:  Disabled at runtime.
[    3.817893] SELinux:  Unregistering netfilter hooks
[    3.842436] audit: type=1404 audit(1430118977.750:2): selinux=0 auid=4294967295 ses=4294967295
[    3.965749] EXT4-fs (dm-1): re-mounted. Opts: (null)
[    3.976009] systemd-journald[514]: Received request to flush runtime journal from PID 1
[    3.977520] RPC: Registered named UNIX socket transport module.
[    3.977523] RPC: Registered udp transport module.
[    3.977524] RPC: Registered tcp transport module.
[    3.977525] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    4.039969] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[    4.195416] ACPI Warning: SystemIO range 0x0000000000005040-0x000000000000505f conflicts with OpRegion 0x0000000000005040-0x000000000000504f (\_SB_.PCI0.SBUS.SMBI) (20141107/utaddress-258)
[    4.195423] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    4.196970] input: Ideapad extra buttons as /devices/pci0000:00/0000:00:1f.0/PNP0C09:00/VPC2004:00/input/input9
[    4.200145] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    4.223996] media: Linux media interface: v0.10
[    4.232485] input: Logitech Anywhere MX as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.2/0003:046D:C52B.0003/0003:046D:1017.0006/input/input10
[    4.232597] logitech-hidpp-device 0003:046D:1017.0006: input,hidraw3: USB HID v1.11 Mouse [Logitech Anywhere MX] on usb-0000:00:14.0-1:1
[    4.249187] Linux video capture interface: v2.00
[    4.257142] Bluetooth: Core ver 2.20
[    4.257156] NET: Registered protocol family 31
[    4.257158] Bluetooth: HCI device and connection manager initialized
[    4.257162] Bluetooth: HCI socket layer initialized
[    4.257165] Bluetooth: L2CAP socket layer initialized
[    4.257171] Bluetooth: SCO socket layer initialized
[    4.300119] uvcvideo: Found UVC 1.00 device Lenovo EasyCamera (5986:055d)
[    4.305180] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[    4.305872] sound hdaudioC1D0: CX20751/2: BIOS auto-probing.
[    4.306177] sound hdaudioC1D0: autoconfig: line_outs=1 (0x17/0x0/0x0/0x0/0x0) type:speaker
[    4.306180] sound hdaudioC1D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    4.306182] sound hdaudioC1D0:    hp_outs=1 (0x16/0x0/0x0/0x0/0x0)
[    4.306184] sound hdaudioC1D0:    mono: mono_out=0x0
[    4.306186] sound hdaudioC1D0:    inputs:
[    4.306188] sound hdaudioC1D0:      Internal Mic=0x1a
[    4.306190] sound hdaudioC1D0:      Mic=0x19
[    4.306440] input: Lenovo EasyCamera as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.0/input/input11
[    4.306513] usbcore: registered new interface driver uvcvideo
[    4.306515] USB Video Class driver (1.1.1)
[    4.306778] sound hdaudioC1D0: Enable sync_write for stable communication
[    4.310963] cfg80211: Calling CRDA to update world regulatory domain
[    4.313311] input: HDA Intel HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:03.0/sound/card0/input12
[    4.313422] input: HDA Intel HDMI HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:03.0/sound/card0/input13
[    4.313488] input: HDA Intel HDMI HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:03.0/sound/card0/input14
[    4.335995] alg: No test for crc32 (crc32-pclmul)
[    4.338429] ppdev: user-space parallel port driver
[    4.354002] random: nonblocking pool is initialized
[    4.355101] iTCO_vendor_support: vendor-support=0
[    4.357343] Adding 8126460k swap on /dev/mapper/fedora-swap.  Priority:-1 extents:1 across:8126460k SSFS
[    4.357623] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[    4.357662] iTCO_wdt: Found a Lynx Point_LP TCO device (Version=2, TCOBASE=0x1860)
[    4.360382] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    4.385437] cfg80211: World regulatory domain updated:
[    4.385441] cfg80211:  DFS Master region: unset
[    4.385443] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[    4.385446] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[    4.385448] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[    4.385450] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[    4.385452] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (N/A)
[    4.385455] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[    4.385466] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[    4.385468] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[    4.385470] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[    4.427026] intel_rapl: Found RAPL domain package
[    4.427030] intel_rapl: Found RAPL domain core
[    4.427033] intel_rapl: Found RAPL domain uncore
[    4.427035] intel_rapl: Found RAPL domain dram
[    4.431142] rtl8723be: Using firmware rtlwifi/rtl8723befw.bin
[    4.453621] EXT4-fs (dm-2): mounted filesystem with ordered data mode. Opts: (null)
[    6.708811] usbcore: registered new interface driver btusb
[    6.714932] ieee80211 phy0: Selected rate control algorithm 'rtl_rc'
[    6.715126] rtlwifi: rtlwifi: wireless switch is on
[    6.720412] rtl8723be 0000:02:00.0 wlp2s0: renamed from wlan0
[    6.720596] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1b.0/sound/card1/input15
[    6.720650] input: HDA Intel PCH Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card1/input16
[    6.732854] cfg80211: Calling CRDA for country: US
[    6.747449] cfg80211: Regulatory domain changed to country: US
[    6.747452] cfg80211:  DFS Master region: FCC
[    6.747454] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[    6.747456] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 3000 mBm), (N/A)
[    6.747458] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 1700 mBm), (N/A)
[    6.747460] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2300 mBm), (0 s)
[    6.747462] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2300 mBm), (0 s)
[    6.747463] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 3000 mBm), (N/A)
[    6.747465] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[    6.795395] audit: type=1305 audit(1430118980.701:3): audit_pid=729 old=0 auid=4294967295 ses=4294967295 res=1
[    6.936416] r8169 0000:01:00.0 enp1s0: link down
[    6.936439] r8169 0000:01:00.0 enp1s0: link down
[    7.791910] bridge: automatic filtering via arp/ip/ip6tables has been deprecated. Update your scripts to load br_netfilter if you need this.
[    7.850568] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)

Comment 54 Laura Abbott 2015-04-27 15:23:03 UTC
That dmesg log doesn't actually show the warning. I'd like to see the dmesg around the suspend resume which shows the warning. Can you try collecting the full dmesg and putting it as an attachment instead of putting it in a comment?

Comment 55 Octavian Covalschi 2015-04-27 15:44:35 UTC
My bad, sorry, i don't see any attachment options. Anyway, I put to suspend and wake it up and see below dmesg after that:

[30156.601649] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[30156.609425] PM: Syncing filesystems ... done.
[30156.644506] PM: Preparing system for mem sleep
[30156.644647] Freezing user space processes ... (elapsed 0.001 seconds) done.
[30156.646206] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[30156.647246] PM: Entering mem sleep
[30156.647266] Suspending console(s) (use no_console_suspend to debug)
[30156.647613] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[30156.648275] sd 0:0:0:0: [sda] Stopping disk
[30156.798332] PM: suspend of devices complete after 150.847 msecs
[30156.817326] PM: late suspend of devices complete after 18.979 msecs
[30156.817748] r8169 0000:01:00.0: System wakeup enabled by ACPI
[30156.817797] ehci-pci 0000:00:1d.0: System wakeup enabled by ACPI
[30156.817959] xhci_hcd 0000:00:14.0: System wakeup enabled by ACPI
[30156.829608] PM: noirq suspend of devices complete after 12.272 msecs
[30156.829890] ACPI: Preparing to enter system sleep state S3
[30156.831185] PM: Saving platform NVS memory
[30156.831190] Disabling non-boot CPUs ...
[30156.831221] intel_pstate CPU 1 exiting
[30156.831451] Broke affinity for irq 45
[30156.832464] kvm: disabling virtualization on CPU1
[30156.832474] smpboot: CPU 1 is now offline
[30156.832784] intel_pstate CPU 2 exiting
[30156.832996] Broke affinity for irq 42
[30156.834012] kvm: disabling virtualization on CPU2
[30156.834310] smpboot: CPU 2 is now offline
[30156.834644] intel_pstate CPU 3 exiting
[30156.834838] Broke affinity for irq 44
[30156.835848] kvm: disabling virtualization on CPU3
[30156.835853] smpboot: CPU 3 is now offline
[30156.838684] ACPI: Low-level resume complete
[30156.838772] PM: Restoring platform NVS memory
[30156.839271] Enabling non-boot CPUs ...
[30156.839379] x86: Booting SMP configuration:
[30156.839381] smpboot: Booting Node 0 Processor 1 APIC 0x1
[30156.851894] kvm: enabling virtualization on CPU1
[30156.854279] CPU1 is up
[30156.854324] smpboot: Booting Node 0 Processor 2 APIC 0x2
[30156.866708] kvm: enabling virtualization on CPU2
[30156.869054] CPU2 is up
[30156.869088] smpboot: Booting Node 0 Processor 3 APIC 0x3
[30156.881551] kvm: enabling virtualization on CPU3
[30156.883945] CPU3 is up
[30156.888634] ACPI: Waking up from system sleep state S3
[30156.904581] ehci-pci 0000:00:1d.0: System wakeup disabled by ACPI
[30156.905379] xhci_hcd 0000:00:14.0: System wakeup disabled by ACPI
[30156.905469] PM: noirq resume of devices complete after 11.697 msecs
[30156.911438] PM: early resume of devices complete after 5.942 msecs
[30156.911623] r8169 0000:01:00.0: System wakeup disabled by ACPI
[30156.911631] rtlwifi: rtlwifi: wireless switch is on
[30156.916405] rtc_cmos 00:01: System wakeup disabled by ACPI
[30156.919654] r8169 0000:01:00.0 enp1s0: link down
[30156.922445] sd 0:0:0:0: [sda] Starting disk
[30157.227556] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[30157.227568] ata3: SATA link down (SStatus 0 SControl 300)
[30157.227581] ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[30157.227603] ata4: SATA link down (SStatus 0 SControl 300)
[30157.227844] ata1.00: supports DRM functions and may not be fully accessible
[30157.227980] ata1.00: failed to get NCQ Send/Recv Log Emask 0x1
[30157.228803] ata1.00: supports DRM functions and may not be fully accessible
[30157.228903] ata1.00: failed to get NCQ Send/Recv Log Emask 0x1
[30157.229000] ata1.00: configured for UDMA/133
[30157.234872] ata2.00: configured for UDMA/133
[30157.302882] usb 1-1: reset full-speed USB device number 2 using xhci_hcd
[30157.468001] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88024324cae0
[30157.468003] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88024324cb40
[30157.468004] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88024324cba0
[30157.620082] usb 1-4: reset high-speed USB device number 4 using xhci_hcd
[30157.756307] psmouse serio1: synaptics: queried max coordinates: x [..5670], y [..4794]
[30157.784217] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8800a458ba00
[30157.784220] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8800a458ba48
[30157.784221] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8800a458ba90
[30157.800850] psmouse serio1: synaptics: queried min coordinates: x [1314..], y [1098..]
[30157.937281] usb 1-7: reset full-speed USB device number 6 using xhci_hcd
[30158.101525] usb 1-7: No LPM exit latency info found, disabling LPM.
[30158.102009] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff880036808c00
[30158.102013] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff880036808c48
[30158.102016] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff880036808c90
[30158.102018] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8802433db3c0
[30158.102021] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8802433db408
[30158.254570] usb 1-6: reset high-speed USB device number 5 using xhci_hcd
[30158.432487] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8800a5175c00
[30158.438825] PM: resume of devices complete after 1526.446 msecs
[30158.439756] PM: Finishing wakeup.
[30158.439759] Restarting tasks ... 
[30158.442127] pci_bus 0000:01: Allocating resources
[30158.442163] pcieport 0000:00:1c.0: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 01] add_size 200000
[30158.442178] pci_bus 0000:02: Allocating resources
[30158.442202] pcieport 0000:00:1c.3: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 02] add_size 200000
[30158.442213] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
[30158.442228] pcieport 0000:00:1c.0: res[15]=[mem 0x00100000-0x000fffff 64bit pref] get_res_add_size add_size 200000
[30158.442236] pcieport 0000:00:1c.3: res[15]=[mem 0x00100000-0x000fffff 64bit pref] get_res_add_size add_size 200000
[30158.442260] pcieport 0000:00:1c.0: BAR 15: assigned [mem 0xafb00000-0xafcfffff 64bit pref]
[30158.442292] pcieport 0000:00:1c.3: BAR 15: assigned [mem 0xafd00000-0xafefffff 64bit pref]
[30158.442972] pci_bus 0000:01: Allocating resources
[30158.443003] pci_bus 0000:02: Allocating resources
[30158.443027] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
[30158.447306] done.
[30158.635764] IPv6: ADDRCONF(NETDEV_UP): enp1s0: link is not ready
[30158.646495] r8169 0000:01:00.0 enp1s0: link down
[30161.156674] r8169 0000:01:00.0 enp1s0: link up
[30169.536091] mce: [Hardware Error]: Machine check events logged

Comment 56 lejeczek 2015-04-27 15:47:01 UTC
I say it's r8169 or related, similarly looking old bug

https://bugzilla.redhat.com/show_bug.cgi?id=538920

my random crash, below causes bug in my comment #13

23384.109698] ------------[ cut here ]------------
[23384.109715] WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:303 dev_watchdog+0x254/0x260()
[23384.109720] NETDEV WATCHDOG: enp1s0f0 (r8169): transmit queue 0 timed out
[23384.109723] Modules linked in: bnep bluetooth fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nfsv3 nfs fscache ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw hp_wmi sparse_keymap snd_hda_codec_realtek rfkill snd_hda_codec_generic snd_hda_codec_hdmi uvcvideo snd_hda_intel snd_hda_controller kvm_amd videobuf2_vmalloc videobuf2_core snd_hda_codec videobuf2_memops kvm tpm_infineon v4l2_common videodev snd_hwdep hid_lenovo snd_seq snd_seq_device media joydev snd_pcm edac_core
[23384.109804]  serio_raw k10temp fam15h_power edac_mce_amd i2c_piix4 rtsx_pci_ms memstick snd_timer wmi snd hp_accel lis3lv02d input_polldev tpm_tis soundcore shpchp video tpm hp_wireless acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel ttm drm ghash_clmulni_intel r8169 rtsx_pci mfd_core mii
[23384.109856] CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.0.0-1.fc22.x86_64 #1
[23384.109860] Hardware name: Hewlett-Packard HP EliteBook 745 G2/221C, BIOS M84 Ver. 01.06 01/15/2015
[23384.109863]  0000000000000000 5af81a766123d25f ffff88043ed83d48 ffffffff81783088
[23384.109869]  0000000000000000 ffff88043ed83da0 ffff88043ed83d88 ffffffff8109c60a
[23384.109875]  0000000000015380 0000000000000000 ffff88042bb84000 0000000000000003
[23384.109881] Call Trace:
[23384.109885]  <IRQ>  [<ffffffff81783088>] dump_stack+0x45/0x57
[23384.109901]  [<ffffffff8109c60a>] warn_slowpath_common+0x8a/0xc0
[23384.109906]  [<ffffffff8109c695>] warn_slowpath_fmt+0x55/0x70
[23384.109918]  [<ffffffff81690e54>] dev_watchdog+0x254/0x260
[23384.109923]  [<ffffffff81690c00>] ? qdisc_rcu_free+0x40/0x40
[23384.109932]  [<ffffffff81103419>] call_timer_fn+0x39/0x110
[23384.109937]  [<ffffffff81690c00>] ? qdisc_rcu_free+0x40/0x40
[23384.109942]  [<ffffffff81103bba>] run_timer_softirq+0x24a/0x300
[23384.109949]  [<ffffffff810a0c5b>] __do_softirq+0x10b/0x2d0
[23384.109956]  [<ffffffff810a1065>] irq_exit+0x145/0x150
[23384.109963]  [<ffffffff8178c386>] smp_apic_timer_interrupt+0x46/0x60
[23384.109970]  [<ffffffff8178a3ed>] apic_timer_interrupt+0x6d/0x80
[23384.109972]  <EOI>  [<ffffffff8105eb16>] ? native_safe_halt+0x6/0x10
[23384.109987]  [<ffffffff810d8887>] ? pick_next_task_fair+0x87/0x970
[23384.109995]  [<ffffffff81456a94>] arch_safe_halt+0x9/0xd
[23384.110001]  [<ffffffff8145722d>] acpi_safe_halt+0x22/0x2b
[23384.110007]  [<ffffffff81457256>] acpi_idle_do_entry+0x20/0x30
[23384.110013]  [<ffffffff814576cb>] acpi_idle_enter+0x1ba/0x1ed
[23384.110023]  [<ffffffff816195a5>] cpuidle_enter_state+0x45/0x170
[23384.110029]  [<ffffffff81619707>] cpuidle_enter+0x17/0x20
[23384.110036]  [<ffffffff810df9f4>] cpu_startup_entry+0x314/0x430
[23384.110044]  [<ffffffff8104a8e5>] start_secondary+0x1a5/0x1f0
[23384.110049] ---[ end trace 1d26b5c201fcd026 ]---
[28474.287643] AM

Comment 57 Farit 2015-04-27 17:52:40 UTC
Description of problem:
When notebook waking up from suspend this warning appears.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.5-200.fc21.x86_64 root=UUID=aaf341f2-a230-487b-ac2d-2a9adbee6beb ro rhgb quiet LANG=ru_RU.UTF-8
kernel:         3.19.5-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 22159 at drivers/base/firmware_class.c:1126 _request_firmware+0x558/0x810()
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast binfmt_misc fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common intel_rapl iosf_mbi snd_hda_codec_hdmi x86_pkg_temp_thermal videodev iTCO_wdt coretemp snd_hda_codec_realtek snd_hda_codec_generic iTCO_vendor_support kvm btusb snd_hda_intel crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_controller bluetooth snd_hda_codec
 media sdhci_pci sdhci ghash_clmulni_intel snd_hwdep thinkpad_acpi snd_seq snd_seq_device snd_pcm arc4 iwldvm mac80211 iwlwifi joydev mei_me cfg80211 mmc_core snd_timer lpc_ich mfd_core mei snd serio_raw i2c_i801 shpchp soundcore wmi tpm_tis rfkill tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core video [last unloaded: nf_conntrack_netbios_ns]
CPU: 0 PID: 22159 Comm: kworker/u17:0 Not tainted 3.19.5-200.fc21.x86_64 #1
Hardware name: LENOVO 2320JMG/2320JMG, BIOS G2ET97WW (2.57 ) 10/25/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000ccbb28da ffff8800196b3b78 ffffffff8176ead5
 0000000000000000 0000000000000000 ffff8800196b3bb8 ffffffff8109bc1a
 0000000000000000 ffff8800196b3cd0 00000000fffffff5 ffff8800b662d600
Call Trace:
 [<ffffffff8176ead5>] dump_stack+0x45/0x57
 [<ffffffff8109bc1a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd4a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814dc108>] _request_firmware+0x558/0x810
 [<ffffffff814dc3f5>] request_firmware+0x35/0x50
 [<ffffffffa0607886>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814d4376>] ? rpm_idle+0xd6/0x230
 [<ffffffffa0597801>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c51dd>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa0598980>] hci_power_on+0x40/0x200 [bluetooth]
 [<ffffffff810b487c>] process_one_work+0x14c/0x3f0
 [<ffffffff810b52f3>] worker_thread+0x53/0x470
 [<ffffffff810b52a0>] ? rescuer_thread+0x300/0x300
 [<ffffffff810ba548>] kthread+0xd8/0xf0
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81775218>] ret_from_fork+0x58/0x90
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 58 Zdenek Henek 2015-05-01 07:55:24 UTC
Description of problem:
all latest updates applied, reboot

put system to sleep
after wakeup I got this warning

my configuration thinkpad W530, dock, two external screens connected using display port (both)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.5.1
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.0-1.fc22.x86_64 root=UUID=8ed98f41-59bb-48ac-9ca7-43e3a21e2418 ro rootflags=subvol=root rhgb quiet LANG=en_US.UTF-8
kernel:         4.0.0-1.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 654 at drivers/base/firmware_class.c:1114 _request_firmware+0x5b0/0x840()
Modules linked in: rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iwldvm mac80211 snd_hda_codec_realtek btusb snd_hda_codec_generic snd_hda_codec_hdmi intel_rapl iosf_mbi snd_hda_intel x86_pkg_temp_thermal coretemp snd_hda_controller bluetooth snd_usb_audio snd_usbmidi_lib iwlwifi snd_rawmidi iTCO_wdt iTCO_vendor_support snd_hda_codec hid_plantronics snd_hwdep thinkpad_acpi snd_seq snd_seq_device kvm
 serio_raw crct10dif_pclmul crc32_pclmul ghash_clmulni_intel mei_me mei snd_pcm tpm_tis tpm cfg80211 snd_timer snd lpc_ich soundcore rfkill i2c_i801 mfd_core shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc btrfs xor raid6_pq 8021q garp stp llc mrp nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm e1000e drm crc32c_intel sdhci_pci sdhci firewire_ohci mmc_core firewire_core ptp crc_itu_t pps_core wmi video
CPU: 2 PID: 654 Comm: kworker/u17:2 Not tainted 4.0.0-1.fc22.x86_64 #1
Hardware name: LENOVO 2447N30/2447N30, BIOS G5ETA1WW (2.61 ) 01/22/2015
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000d1eff970 ffff8805ff27fb78 ffffffff81783088
 0000000000000000 0000000000000000 ffff8805ff27fbb8 ffffffff8109c60a
 0000000000000000 ffff8805ff27fcd0 00000000fffffff5 ffff8805d2dd1200
Call Trace:
 [<ffffffff81783088>] dump_stack+0x45/0x57
 [<ffffffff8109c60a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c73a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814ea910>] _request_firmware+0x5b0/0x840
 [<ffffffff814eabd5>] request_firmware+0x35/0x50
 [<ffffffffa07f9479>] btusb_setup_bcm_patchram+0x89/0x570 [btusb]
 [<ffffffff814e2626>] ? rpm_idle+0x96/0x220
 [<ffffffffa07393c1>] hci_dev_do_open+0xe1/0x580 [bluetooth]
 [<ffffffff810d89b6>] ? pick_next_task_fair+0x1b6/0x970
 [<ffffffffa073a870>] hci_power_on+0x40/0x200 [bluetooth]
 [<ffffffff810b530b>] process_one_work+0x1bb/0x410
 [<ffffffff810b55b3>] worker_thread+0x53/0x470
 [<ffffffff810b5560>] ? process_one_work+0x410/0x410
 [<ffffffff810b5560>] ? process_one_work+0x410/0x410
 [<ffffffff810bb598>] kthread+0xd8/0xf0
 [<ffffffff810bb4c0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff81789458>] ret_from_fork+0x58/0x90
 [<ffffffff810bb4c0>] ? kthread_worker_fn+0x180/0x180

Comment 59 p.anderson 2015-05-02 20:34:31 UTC
Description of problem:
waking up from sleep state

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.5-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root quiet LANG=en_US.UTF-8
kernel:         3.19.5-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 5763 at drivers/base/firmware_class.c:1126 _request_firmware+0x558/0x810()
Modules linked in: md4 cifs dns_resolver fscache nls_utf8 udf rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel intel_rapl snd_hda_controller iosf_mbi snd_hda_codec x86_pkg_temp_thermal coretemp snd_hwdep snd_seq kvm uvcvideo videobuf2_vmalloc videobuf2_core crct10dif_pclmul crc32_pclmul crc32c_intel
 ghash_clmulni_intel videobuf2_memops snd_seq_device v4l2_common snd_pcm videodev btusb bluetooth iTCO_wdt media iTCO_vendor_support sdhci_pci sdhci joydev arc4 iwldvm mmc_core mac80211 mei_me iwlwifi snd_timer thinkpad_acpi cfg80211 snd tpm_tis tpm i2c_i801 lpc_ich soundcore mei serio_raw mfd_core rfkill shpchp binfmt_misc nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper drm e1000e firewire_ohci firewire_core ptp crc_itu_t pps_core wmi video
CPU: 2 PID: 5763 Comm: kworker/u17:0 Not tainted 3.19.5-200.fc21.x86_64 #1
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ET90WW (2.50 ) 12/20/2012
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 000000005f43f3a8 ffff880208547b78 ffffffff8176ead5
 0000000000000000 0000000000000000 ffff880208547bb8 ffffffff8109bc1a
 0000000000000000 ffff880208547cd0 00000000fffffff5 ffff88021d501b20
Call Trace:
 [<ffffffff8176ead5>] dump_stack+0x45/0x57
 [<ffffffff8109bc1a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109bd4a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814dc108>] _request_firmware+0x558/0x810
 [<ffffffff814dc3f5>] request_firmware+0x35/0x50
 [<ffffffffa0698886>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814d4376>] ? rpm_idle+0xd6/0x230
 [<ffffffffa060c801>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c51dd>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffffa060d980>] hci_power_on+0x40/0x200 [bluetooth]
 [<ffffffff810b487c>] process_one_work+0x14c/0x3f0
 [<ffffffff810b52f3>] worker_thread+0x53/0x470
 [<ffffffff810b52a0>] ? rescuer_thread+0x300/0x300
 [<ffffffff810ba548>] kthread+0xd8/0xf0
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81775218>] ret_from_fork+0x58/0x90
 [<ffffffff810ba470>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 60 Kunal Katyayan 2015-05-12 05:20:03 UTC
Any specific reason to mark the bug against 22? I see this on my Fedora 21 installation (Thinkpad 430) every time I try to hibernate(which is broken) and whenever I resume from sleep.
Or does 22 simply hints that the issue(if any) will be fixed in ver 22?

Comment 61 wtswkz 2015-05-12 06:15:06 UTC
Description of problem:
this problem happened when i close the lid of my laptop.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.7-200.fc21.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 3736 at drivers/base/firmware_class.c:1127 _request_firmware+0x519/0x7f0()
Modules linked in: fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc binfmt_misc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common arc4 brcmsmac cordic brcmutil b43 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel videodev btusb bluetooth intel_rapl snd_hda_controller mac80211 x86_pkg_temp_thermal coretemp cfg80211 kvm_intel kvm snd_hda_codec ssb media
 snd_hwdep iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul thinkpad_acpi snd_seq snd_seq_device snd_pcm crc32c_intel ghash_clmulni_intel serio_raw bcma rfkill snd_timer rtsx_pci_ms memstick snd soundcore shpchp mei_me mei i2c_i801 lpc_ich nfsd auth_rpcgss nfs_acl lockd grace sunrpc mmc_block nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper drm r8169 mii rtsx_pci mfd_core wmi video
CPU: 3 PID: 3736 Comm: kworker/u17:0 Not tainted 3.18.7-200.fc21.x86_64 #1
Hardware name: LENOVO 3254B21/3254B21, BIOS H0ET94WW (2.54 ) 08/02/2013
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 00000000c39429af ffff88009f78bb88 ffffffff8175e686
 0000000000000000 0000000000000000 ffff88009f78bbc8 ffffffff810991d1
 0000000000000000 ffff88009f78bce0 00000000fffffff5 ffff880147f4e580
Call Trace:
 [<ffffffff8175e686>] dump_stack+0x46/0x58
 [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814bce69>] _request_firmware+0x519/0x7f0
 [<ffffffff814bd175>] request_firmware+0x35/0x50
 [<ffffffffa05d6736>] btusb_setup_bcm_patchram+0x86/0x590 [btusb]
 [<ffffffff814b5716>] ? rpm_idle+0xd6/0x2b0
 [<ffffffffa0722571>] hci_dev_do_open+0xe1/0xa90 [bluetooth]
 [<ffffffff810c56cb>] ? try_to_wake_up+0xdb/0x340
 [<ffffffffa07236f0>] hci_power_on+0x40/0x1e0 [bluetooth]
 [<ffffffff810b245d>] process_one_work+0x14d/0x400
 [<ffffffff810b2deb>] worker_thread+0x6b/0x480
 [<ffffffff810b2d80>] ? rescuer_thread+0x2a0/0x2a0
 [<ffffffff810b801a>] kthread+0xea/0x100
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff8176537c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 62 Zdenek Henek 2015-05-12 07:16:17 UTC
(In reply to Kunal Katyayan from comment #60)
> Any specific reason to mark the bug against 22? I see this on my Fedora 21
> installation (Thinkpad 430) every time I try to hibernate(which is broken)
> and whenever I resume from sleep.
> Or does 22 simply hints that the issue(if any) will be fixed in ver 22?

I was testing Fedora 22 beta and reported the error when it happened.
This happened after wake up from sleep mode. I don't use hibernate.

Comment 63 Kunal Katyayan 2015-05-14 06:21:06 UTC
Looks like this specific issue is only hit by lenovo devices.
===========
Hardware name: LENOVO 232032U/232032U, BIOS G2ET32WW (1.12 ) 05/30/2012
Hardware name: LENOVO 2320ENG/2320ENG, BIOS G2ETA3WW (2.63 ) 02/05/2015
Hardware name: LENOVO 2320HNU/2320HNU, BIOS G2ET99WW (2.59 ) 12/04/2013
Hardware name: LENOVO 2320JMG/2320JMG, BIOS G2ET97WW (2.57 ) 10/25/2013
Hardware name: LENOVO 2324KU9/2324KU9, BIOS G2ETA2WW (2.62 ) 09/12/2014
Hardware name: LENOVO 232577G/232577G, BIOS G2ET92WW (2.52 ) 02/22/2013
Hardware name: LENOVO 2325F51/2325F51, BIOS G2ET82WW (2.02 ) 09/11/2012
Hardware name: LENOVO 2325F51/2325F51, BIOS G2ET95WW (2.55 ) 07/09/2013
Hardware name: LENOVO 2325OM4/2325OM4, BIOS G2ET95WW (2.55 ) 07/09/2013
Hardware name: LENOVO 2342CTO/2342CTO, BIOS G1ETA4WW (2.64 ) 03/06/2014
Hardware name: LENOVO 2347A39/2347A39, BIOS G1ET41WW (1.16 ) 05/25/2012
Hardware name: LENOVO 2347A39/2347A39, BIOS G1ETA7WW (2.67 ) 12/08/2014
Hardware name: LENOVO 2347B46/2347B46, BIOS G1ETA7WW (2.67 ) 12/08/2014
Hardware name: LENOVO 2349E51/2349E51, BIOS G1ET41WW (1.16 ) 05/25/2012
Hardware name: LENOVO 2352CTO/2352CTO, BIOS G7ET60WW (2.02 ) 09/11/2012
Hardware name: LENOVO 2356BH1/2356BH1, BIOS G7ET95WW (2.55 ) 07/10/2013
Hardware name: LENOVO 2356BH1/2356BH1, BIOS G7ET96WW (2.56 ) 09/12/2013
Hardware name: LENOVO 2356BH1/2356BH1, BIOS G7ETA1WW (2.61 ) 09/01/2014
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ET90WW (2.50 ) 12/20/2012
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ET93WW (2.53 ) 02/22/2013
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ETA2WW (2.62 ) 08/21/2014
Hardware name: LENOVO 2359CTO/2359CTO, BIOS G4ETA3WW (2.63 ) 01/21/2015
Hardware name: LENOVO 2394EN6/2394EN6, BIOS G4ET96WW (2.56 ) 09/12/2013
Hardware name: LENOVO 24293E8/24293E8, BIOS G4ET94WW (2.54 ) 05/23/2013
Hardware name: LENOVO 24297ZG/24297ZG, BIOS G4ETA1WW (2.61 ) 05/07/2014
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET37WW (1.12 ) 05/29/2012
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET92WW (2.52 ) 02/01/2013
Hardware name: LENOVO 2429BP3/2429BP3, BIOS G4ET94WW (2.54 ) 05/23/2013
Hardware name: LENOVO 2429HP2/2429HP2, BIOS G4ET62WW (2.04 ) 09/13/2012
Hardware name: LENOVO 2436CTO/2436CTO, BIOS G5ET92WW (2.52 ) 02/27/2013
Hardware name: LENOVO 2436CTO/2436CTO, BIOS G5ETA0WW (2.60 ) 08/22/2014
Hardware name: LENOVO 2447N30/2447N30, BIOS G5ETA1WW (2.61 ) 01/22/2015
Hardware name: LENOVO 3254B21/3254B21, BIOS H0ET94WW (2.54 ) 08/02/2013
Hardware name: LENOVO 343522U/343522U, BIOS GCET96WW (2.56 ) 10/22/2013
Hardware name: LENOVO 3444F8U/3444F8U, BIOS G6ET66WW (2.10 ) 11/20/2012
Hardware name: LENOVO 3444FHG/3444FHG, BIOS G6ETA6WW (2.66 ) 05/28/2014
=================
I initially thought that if I update the BIOS on my laptop, the issue will be resolved.
But from above list it looks like even new BIOS releases are hitting the same issue.

Has the issue resolved for anyone?

Comment 64 Satish Balay 2015-05-14 15:06:42 UTC
I have bluetooth [and bunch of other stuff - that I don't use] disabled in BIOS.

Comment 65 Daniel Vacek 2015-05-14 16:25:01 UTC
(In reply to Kunal Katyayan from comment #63)
> Looks like this specific issue is only hit by lenovo devices.
> ===========
> Hardware name: LENOVO 232032U/232032U, BIOS G2ET32WW (1.12 ) 05/30/2012
> Hardware name: LENOVO 2320ENG/2320ENG, BIOS G2ETA3WW (2.63 ) 02/05/2015
> Hardware name: LENOVO 2320HNU/2320HNU, BIOS G2ET99WW (2.59 ) 12/04/2013
> Hardware name: LENOVO 2320JMG/2320JMG, BIOS G2ET97WW (2.57 ) 10/25/2013

  That's interesting. Anyway it is a regression as it started since 3.17 and it looks like it was also backported to 3.16.2

Comment 66 Laura Abbott 2015-05-14 17:51:34 UTC
The warning is caused by requesting non-existent firmware at the wrong time. I believe it happens on those lenovo laptops because they have the particular BCM chipset which is requesting firmware that isn't present. This isn't an issue with the lack of firmware as the firmware is actually optional but an issue of when the request is happening and how to handle it. I've submitted some proposed fixes upstream (https://lkml.org/lkml/2015/4/28/841 https://lkml.org/lkml/2015/5/11/1163) but nothing has really gone anywhere. It keeps bouncing between "fix this in firmware layer", "no, it's a bluetooth driver problem", "no, it's a USB problem" and nobody has been jumping to try and fix it. We may end up carrying a patch until agreement is reached upstream.

Comment 67 David Timms 2015-05-17 02:46:48 UTC
Description of problem:
Created F22 TC4 x86_64 from USB stick created with Unetbootin and the iso.
Booted the USB.
Checked some parted commands that are aborting.
closed the lid on the laptop, which let laptop sleep.
opened lid, a key to exit screensaver, abortd problem reporting showed this error.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.5.1
cmdline:        initrd=/ubninit root=live:UUID=7616-5069 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/ubnkern 
kernel:         4.0.2-300.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 2940 at drivers/base/firmware_class.c:1114 _request_firmware+0x5b0/0x840()
Modules linked in: rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep b43 intel_rapl mac80211 iosf_mbi x86_pkg_temp_thermal coretemp cfg80211 btusb bluetooth uvcvideo videobuf2_vmalloc videobuf2_core ssb videobuf2_memops v4l2_common kvm videodev media snd_hda_codec_hdmi rtsx_pci_ms memstick rtsx_pci_sdmmc mmc_core ppdev iTCO_wdt iTCO_vendor_support hp_wmi sparse_keymap rfkill snd_hda_codec_realtek snd_hda_codec_generic
 snd_hda_intel snd_hda_controller serio_raw bcma hp_accel rtsx_pci lis3lv02d tpm_infineon snd_hda_codec parport_pc shpchp parport hp_wireless input_polldev lpc_ich mfd_core mei_me mei tpm_tis tpm snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore nfsd auth_rpcgss nfs_acl lockd grace vfat fat squashfs uas usb_storage i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul 8021q crc32c_intel garp stp drm llc ghash_clmulni_intel mrp r8169 mii wmi video scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc loop
CPU: 3 PID: 2940 Comm: kworker/u17:0 Not tainted 4.0.2-300.fc22.x86_64 #1
Hardware name: Hewlett-Packard HP ProBook 470 G2/2249, BIOS M74 Ver. 01.09 01/26/2015
Workqueue: hci0 hci_power_on [bluetooth]
 0000000000000000 0000000087fe93dd ffff88024fe33b78 ffffffff817821b4
 0000000000000000 0000000000000000 ffff88024fe33bb8 ffffffff8109c66a
 0000000000000000 ffff88024fe33cd0 00000000fffffff5 ffff8801f9984360
Call Trace:
 [<ffffffff817821b4>] dump_stack+0x45/0x57
 [<ffffffff8109c66a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c79a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814e9be0>] _request_firmware+0x5b0/0x840
 [<ffffffff814e9ea5>] request_firmware+0x35/0x50
 [<ffffffffa05fb479>] btusb_setup_bcm_patchram+0x89/0x570 [btusb]
 [<ffffffff814e2676>] ? rpm_idle+0x96/0x220
 [<ffffffffa069e3c1>] hci_dev_do_open+0xe1/0x580 [bluetooth]
 [<ffffffff810d86e8>] ? pick_next_task_fair+0x508/0x970
 [<ffffffffa069f870>] hci_power_on+0x40/0x200 [bluetooth]
 [<ffffffff810b596b>] process_one_work+0x1bb/0x410
 [<ffffffff810b5c13>] worker_thread+0x53/0x470
 [<ffffffff810b5bc0>] ? process_one_work+0x410/0x410
 [<ffffffff810bb678>] kthread+0xd8/0xf0
 [<ffffffff810bb5a0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817887d8>] ret_from_fork+0x58/0x90
 [<ffffffff810bb5a0>] ? kthread_worker_fn+0x180/0x180

Comment 68 David Timms 2015-05-17 03:09:13 UTC
Created attachment 1026426 [details]
grep Hardware of these bug reports, sorted.

Just noting that while Lenovo machines of various Bios ages are highly represented, there is a couple of HP machines( like mine).

Comment 69 barsnick 2015-05-30 21:50:27 UTC
(In reply to David Timms from comment #68)
> Created attachment 1026426 [details]
> grep Hardware of these bug reports, sorted.
> 
> Just noting that while Lenovo machines of various Bios ages are highly
> represented, there is a couple of HP machines( like mine).

I think there may be a host of machines you won't see reported in abrt, because their kernels are tainted. I get the same call trace on every wake-up from sleep, and my hardware is:

Hardware name: Hewlett-Packard HP EliteBook 850 G1/198F, BIOS L71 Ver. 01.11 04/29/2014

My kernel is tainted due to need for a driver for the BCM43228 wireless.

I do get the firmware error early at boot:

[   15.982028] bluetooth hci0: Direct firmware load for brcm/BCM20702A0-0a5c-21f1.hcd failed with error -2
[   15.982033] Bluetooth: hci0: BCM: patch brcm/BCM20702A0-0a5c-21f1.hcd not found

(related? root cuase?) but bluetooth works, AFAIR.

Comment 70 barsnick 2015-05-30 21:53:53 UTC
(In reply to barsnick from comment #69)

Referring to comment #60:
I forgot to mention: I'm running F20, always using the latest kernel from updates.

Comment 71 Laura Abbott 2015-06-03 20:07:51 UTC
*** Bug 1227726 has been marked as a duplicate of this bug. ***

Comment 72 Fedora Update System 2015-06-09 12:57:36 UTC
kernel-4.0.5-300.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.0.5-300.fc22

Comment 73 Fedora Update System 2015-06-09 12:59:37 UTC
kernel-4.0.5-200.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-4.0.5-200.fc21

Comment 74 Fedora Update System 2015-06-10 19:09:10 UTC
Package kernel-4.0.5-200.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-4.0.5-200.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9704/kernel-4.0.5-200.fc21
then log in and leave karma (feedback).

Comment 75 Fedora Update System 2015-06-20 23:58:45 UTC
kernel-4.0.5-200.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 76 Fedora Update System 2015-06-21 00:31:35 UTC
kernel-4.0.5-300.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.